
	COMMENT ON TYPE box2d IS 'postgis type: xmin, ymin, xmax, ymax로 구성된 박스. 지오메트리 또는 지오메트리 컬렉션의 2차원 공간범위-2D Extent를 반환하는데 주로 사용됩니다.';

	COMMENT ON TYPE box3d IS 'postgis type: xmin, ymin, zmin, xmax, ymax, zmax로 구성된 박스. 지오메트리 또는 지오메트리 컬렉션의 3차원 공간범위-3D Extent를 반환하는데 주로 사용됩니다.';

	COMMENT ON TYPE geometry IS 'postgis type: 평면 공간 데이터 타입.';

	COMMENT ON TYPE geometry_dump IS 'postgis type: 공간 데이터 타입은 두 필드를 가집니다 - geom(지오메트리 객체를 보관)와 path[](1차원 배열로 덤프된 오브젝트에서 지오메트리의 위치를 보관)';

	COMMENT ON TYPE geography IS 'postgis type: 구면 공간 데이터 유형';

COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , integer , varchar , integer , boolean ) IS 'args: table_name, column_name, srid, type, dimension, use_typmod=true - 기존 속성 테이블에 지오메트리 컬럼을 추가합니다. 기본적으로 컬럼을 정의하기 위해 제약 조건보다 오히려 유형 변경자를 사용합니다.';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - 기존 속성 테이블에 지오메트리 컬럼을 추가합니다. 기본적으로 컬럼을 정의하기 위해 제약 조건보다 오히려 유형 변경자를 사용합니다.';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: catalog_name, schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - 기존 속성 테이블에 지오메트리 컬럼을 추가합니다. 기본적으로 컬럼을 정의하기 위해 제약 조건보다 오히려 유형 변경자를 사용합니다.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar ) IS 'args: table_name, column_name - 공간 테이블에서 지오메트리 컬럼을 제거합니다.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar ) IS 'args: schema_name, table_name, column_name - 공간 테이블에서 지오메트리 컬럼을 제거합니다.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name, column_name - 공간 테이블에서 지오메트리 컬럼을 제거합니다.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar ) IS 'args: table_name - 테이블 및 geometry_columns의 모든 참조를 삭제합니다.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar ) IS 'args: schema_name, table_name - 테이블 및 geometry_columns의 모든 참조를 삭제합니다.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name - 테이블 및 geometry_columns의 모든 참조를 삭제합니다.';
			
COMMENT ON FUNCTION PostGIS_Full_Version() IS 'PostGIS 버전과 빌드 환경 정보를 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_GEOS_Version() IS 'GEOS 라이브러리의 버전 번호를 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_Lib_Version() IS 'libxml2 라이브러리의 버전 번호를 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_LibXML_Version() IS 'libxml2 라이브러리의 버전 번호를 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_Lib_Build_Date() IS 'PostGIS 라이브러리의 빌드 날짜를 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_Lib_Version() IS 'PostGIS 라이브러리의 버전 번호를 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_PROJ_Version() IS 'PROJ4 라이브러리의 버전 번호를 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_Scripts_Build_Date() IS 'PostGIS 스크립트의 빌드 날짜를 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_Scripts_Installed() IS '이 데이터베이스에 설치된 PostGIS 스크립트의 버전을 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_Scripts_Released() IS '설치된 PostGIS 라이브러리와 함께 출시된 postgis.sql 스크립트의 버전 번호를 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_Version() IS 'PostGIS 버전 번호 및 컴파일 시간 옵션을 반환합니다.';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(boolean ) IS 'args: use_typmod=true - 지오메트리 컬럼이 타입 변경자로 정의되거나 적절한 공간 제약을 가지고 있는지 확인합니다. 이 함수는 공간 관련 테이블들이 geometry_columns 뷰에 올바르게 등록되도록 합니다. 기본적으로 유형 변경자를 가지지 않는 모든 지오메트리 컬럼들을 유형 변경자를 가진 지오메트리 컬럼들로 변환시킵니다. 엣날식 동작을 원하면 use_typmod=false으로 설정';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(oid, boolean ) IS 'args: relation_oid, use_typmod=true - 지오메트리 컬럼이 타입 변경자로 정의되거나 적절한 공간 제약을 가지고 있는지 확인합니다. 이 함수는 공간 관련 테이블들이 geometry_columns 뷰에 올바르게 등록되도록 합니다. 기본적으로 유형 변경자를 가지지 않는 모든 지오메트리 컬럼들을 유형 변경자를 가진 지오메트리 컬럼들로 변환시킵니다. 엣날식 동작을 원하면 use_typmod=false으로 설정';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , integer ) IS 'args: table_name, column_name, srid - 도형 열, geometry_columns 메타데이터 그리고 SRID에 있는 모든 피처의 SRID를 업데이트합니다. 제약조건으로 강제됐을 경우, 제약조건도 새로운 SRID 제약조건으로 업데이트될 것입니다. 유형 정의에 따라 구 버전을 강제했다면, 유형 정의가 변경될 것입니다.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , integer ) IS 'args: schema_name, table_name, column_name, srid - 도형 열, geometry_columns 메타데이터 그리고 SRID에 있는 모든 피처의 SRID를 업데이트합니다. 제약조건으로 강제됐을 경우, 제약조건도 새로운 SRID 제약조건으로 업데이트될 것입니다. 유형 정의에 따라 구 버전을 강제했다면, 유형 정의가 변경될 것입니다.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , varchar , integer ) IS 'args: catalog_name, schema_name, table_name, column_name, srid - 도형 열, geometry_columns 메타데이터 그리고 SRID에 있는 모든 피처의 SRID를 업데이트합니다. 제약조건으로 강제됐을 경우, 제약조건도 새로운 SRID 제약조건으로 업데이트될 것입니다. 유형 정의에 따라 구 버전을 강제했다면, 유형 정의가 변경될 것입니다.';
			
COMMENT ON FUNCTION ST_BdPolyFromText(text , integer ) IS 'args: WKT, srid - 멀티라인스트링 WKT 텍스트 표현식으로 주어진 임의의 폐쇄형 라인스트링 집합으로 폴리곤을 작성합니다.';
			
COMMENT ON FUNCTION ST_BdMPolyFromText(text , integer ) IS 'args: WKT, srid - 멀티라인스트링 WKT 텍스트 표현식으로 주어진 임의의 폐쇄형 라인스트링 집합으로 멀티폴리곤을 작성합니다.';
			
COMMENT ON FUNCTION ST_Box2dFromGeoHash(text , integer ) IS 'args: geohash, precision=full_precision_of_geohash - GeoHash 스트링으로부터 BOX2D를 반환합니다.';
			
COMMENT ON FUNCTION ST_GeogFromText(text ) IS 'args: EWKT - WKT (확장) 표현식으로부터 지정된 지리형 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_GeographyFromText(text ) IS 'args: EWKT - WKT (확장) 표현식으로부터 지정된 지리형 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_GeogFromWKB(bytea ) IS 'args: wkb - WKB 도형 표현식 또는 EWKB(확장 WKB)로부터 지리형 인스턴스를 생성합니다.';
			
COMMENT ON FUNCTION ST_GeomFromTWKB(bytea ) IS 'args: twkb - TWKB("Tiny Well-Known Binary") 도형 표현식으로부터 도형 인스턴스를 생성합니다.';
			
COMMENT ON FUNCTION ST_GeomCollFromText(text , integer ) IS 'args: WKT, srid - Makes a collection Geometry from collection WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_GeomCollFromText(text ) IS 'args: WKT - Makes a collection Geometry from collection WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_GeomFromEWKB(bytea ) IS 'args: EWKB - EWKB(Extended Well-Known Binary)로부터 지정된 ST_Geometry 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_GeomFromEWKT(text ) IS 'args: EWKT - EWKT(Extended Well-Known Text)로부터 지정된 ST_Geometry 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_GeometryFromText(text ) IS 'args: WKT - WKT(Well-Known Text)로부터 지정된 ST_Geometry 값을 반환합니다. 이 함수는 ST_GeomFromText 함수와 동일합니다.';
			
COMMENT ON FUNCTION ST_GeometryFromText(text , integer ) IS 'args: WKT, srid - WKT(Well-Known Text)로부터 지정된 ST_Geometry 값을 반환합니다. 이 함수는 ST_GeomFromText 함수와 동일합니다.';
			
COMMENT ON FUNCTION ST_GeomFromGeoHash(text , integer ) IS 'args: geohash, precision=full_precision_of_geohash - GeoHash 스트링으로부터 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_GeomFromGML(text ) IS 'args: geomgml - 도형의 GML 표현식을 입력받아 PostGIS 도형 객체를 출력합니다.';
			
COMMENT ON FUNCTION ST_GeomFromGML(text , integer ) IS 'args: geomgml, srid - 도형의 GML 표현식을 입력받아 PostGIS 도형 객체를 출력합니다.';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(text ) IS 'args: geomjson - GeoJSON 표현식을 입력받아 PostGIS 도형 객체를 출력합니다.';
			
COMMENT ON FUNCTION ST_GeomFromKML(text ) IS 'args: geomkml - 도형의 KML 표현식을 입력받아 PostGIS 도형 객체를 출력합니다.';
			
COMMENT ON FUNCTION ST_GMLToSQL(text ) IS 'args: geomgml - GML로부터 지정된 ST_Geometry 값을 반환합니다. 이 함수는 ST_GeomFromGML 함수와 동일합니다.';
			
COMMENT ON FUNCTION ST_GMLToSQL(text , integer ) IS 'args: geomgml, srid - GML로부터 지정된 ST_Geometry 값을 반환합니다. 이 함수는 ST_GeomFromGML 함수와 동일합니다.';
			
COMMENT ON FUNCTION ST_GeomFromText(text ) IS 'args: WKT - WKT 표현식으로부터 지정된 ST_Geometry 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_GeomFromText(text , integer ) IS 'args: WKT, srid - WKT 표현식으로부터 지정된 ST_Geometry 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea ) IS 'args: geom - WKB(Well-Known Binary) 도형 표현식과 선택적인 SRID로부터 도형 인스턴스를 생성합니다.';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea , integer ) IS 'args: geom, srid - WKB(Well-Known Binary) 도형 표현식과 선택적인 SRID로부터 도형 인스턴스를 생성합니다.';
			
COMMENT ON FUNCTION ST_LineFromEncodedPolyline(text , integer ) IS 'args: polyline, precision=5 - 인코딩된 폴리라인(polyline)으로부터 라인스트링을 생성합니다.';
			
COMMENT ON FUNCTION ST_LineFromMultiPoint(geometry ) IS 'args: aMultiPoint - 멀티포인트 도형으로부터 라인스트링을 생성합니다.';
			
COMMENT ON FUNCTION ST_LineFromText(text ) IS 'args: WKT - 주어진 SRID와 함께 WKT 표현식으로부터 도형을 만듭니다. SRID가 주어지지 않은 경우, 기본값인 0을 씁니다.';
			
COMMENT ON FUNCTION ST_LineFromText(text , integer ) IS 'args: WKT, srid - 주어진 SRID와 함께 WKT 표현식으로부터 도형을 만듭니다. SRID가 주어지지 않은 경우, 기본값인 0을 씁니다.';
			
COMMENT ON FUNCTION ST_LineFromWKB(bytea ) IS 'args: WKB - 주어진 SRID와 함께 WKB로부터 LINESTRING 을 만듭니다.';
			
COMMENT ON FUNCTION ST_LineFromWKB(bytea , integer ) IS 'args: WKB, srid - 주어진 SRID와 함께 WKB로부터 LINESTRING 을 만듭니다.';
			
COMMENT ON FUNCTION ST_LinestringFromWKB(bytea ) IS 'args: WKB - 주어진 SRID와 함께 WKB로부터 도형을 만듭니다.';
			
COMMENT ON FUNCTION ST_LinestringFromWKB(bytea , integer ) IS 'args: WKB, srid - 주어진 SRID와 함께 WKB로부터 도형을 만듭니다.';
			
COMMENT ON FUNCTION ST_MakeBox2D(geometry , geometry ) IS 'args: pointLowLeft, pointUpRight - 주어진 포인트 도형들로 정의되는 BOX2D를 생성합니다.';
			
COMMENT ON FUNCTION ST_3DMakeBox(geometry , geometry ) IS 'args: point3DLowLeftBottom, point3DUpRightTop - 주어진 3D 포인트 도형들로 정의되는 BOX3D를 생성합니다.';
			
COMMENT ON AGGREGATE ST_MakeLine(geometry) IS 'args: geoms - 포인트, 멀티포인트 또는 라인 도형으로부터 라인스트링을 생성합니다.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry, geometry) IS 'args: geom1, geom2 - 포인트, 멀티포인트 또는 라인 도형으로부터 라인스트링을 생성합니다.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry[]) IS 'args: geoms_array - 포인트, 멀티포인트 또는 라인 도형으로부터 라인스트링을 생성합니다.';
			
COMMENT ON FUNCTION ST_MakeEnvelope(double precision, double precision, double precision, double precision, integer ) IS 'args: xmin, ymin, xmax, ymax, srid=unknown - 주어진 최소값과 최대값으로 형성된 직사각형 폴리곤을 생성합니다. 입력값이 SRID로 지정된 SRS를 가지고 있어야 합니다.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry) IS 'args: linestring - 주어진 외부 구조(shell)로 형성된 폴리곤을 생성합니다. 입력 도형이 닫힌 라인스트링이어야 합니다.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry, geometry[]) IS 'args: outerlinestring, interiorlinestrings - 주어진 외부 구조(shell)로 형성된 폴리곤을 생성합니다. 입력 도형이 닫힌 라인스트링이어야 합니다.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision) IS 'args: x, y - 2D, 3DZ 또는 4D 포인트 도형을 생성합니다.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision) IS 'args: x, y, z - 2D, 3DZ 또는 4D 포인트 도형을 생성합니다.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - 2D, 3DZ 또는 4D 포인트 도형을 생성합니다.';
			
COMMENT ON FUNCTION ST_MakePointM(float, float, float) IS 'args: x, y, m - x, y, m 좌표를 가진 포인트 도형을 생성합니다.';
			
COMMENT ON FUNCTION ST_MLineFromText(text , integer ) IS 'args: WKT, srid - WKT 표현식으로부터 지정된 ST_MultiLineString 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_MLineFromText(text ) IS 'args: WKT - WKT 표현식으로부터 지정된 ST_MultiLineString 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_MPointFromText(text , integer ) IS 'args: WKT, srid - Makes a Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_MPointFromText(text ) IS 'args: WKT - Makes a Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_MPolyFromText(text , integer ) IS 'args: WKT, srid - Makes a MultiPolygon Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_MPolyFromText(text ) IS 'args: WKT - Makes a MultiPolygon Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - 주어진 좌표값을 가진 ST_Point를 반환합니다. ST_MakePoint와 동일한 OGC 함수입니다.';
			
COMMENT ON FUNCTION ST_PointFromGeoHash(text , integer ) IS 'args: geohash, precision=full_precision_of_geohash - GeoHash 스트링으로부터 포인트를 반환합니다.';
			
COMMENT ON FUNCTION ST_PointFromText(text ) IS 'args: WKT - 주어진 SRID와 함께 WKT 표현식으로부터 포인트 도형을 만듭니다. SRID가 주어지지 않은 경우, 기본값인 0을 씁니다.';
			
COMMENT ON FUNCTION ST_PointFromText(text , integer ) IS 'args: WKT, srid - 주어진 SRID와 함께 WKT 표현식으로부터 포인트 도형을 만듭니다. SRID가 주어지지 않은 경우, 기본값인 0을 씁니다.';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea ) IS 'args: geom - 주어진 SRID와 함께 WKB로부터 도형을 만듭니다.';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea , integer ) IS 'args: geom, srid - 주어진 SRID와 함께 WKB로부터 도형을 만듭니다.';
			
COMMENT ON FUNCTION ST_Polygon(geometry , integer ) IS 'args: aLineString, srid - 설정된 라인스트링과 SRID로부터 빌드된 폴리곤을 반환합니다.';
			
COMMENT ON FUNCTION ST_PolygonFromText(text ) IS 'args: WKT - Makes a Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_PolygonFromText(text , integer ) IS 'args: WKT, srid - Makes a Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_WKBToSQL(bytea ) IS 'args: WKB - WKB(Well-Known Binary) 표현식으로부터 지정된 ST_Geometry 값을 반환합니다. 이 함수는 SRID를 입력받지 않는 ST_GeomFromWKB 함수와 동일합니다.';
			
COMMENT ON FUNCTION ST_WKTToSQL(text ) IS 'args: WKT - WKT(Well-Known Text)로부터 지정된 ST_Geometry 값을 반환합니다. 이 함수는 ST_GeomFromText 함수와 동일합니다.';
			
COMMENT ON FUNCTION GeometryType(geometry ) IS 'args: geomA - 도형의 유형을 스트링으로 반환합니다. 예: LINESTRING, POLYGON, MULTIPOINT 등등.';
			
COMMENT ON FUNCTION ST_Boundary(geometry ) IS 'args: geomA - 해당 도형의 결합된 범위의 닫힘 여부를 반환합니다.';
			
COMMENT ON FUNCTION ST_CoordDim(geometry ) IS 'args: geomA - ST_Geometry 값의 좌표 차원을 반환합니다.';
			
COMMENT ON FUNCTION ST_Dimension(geometry ) IS 'args: g - 좌표 차원과 동등하거나 낮아야 하는, 해당 도형 객체의 내재된 차원을 반환합니다.';
			
COMMENT ON FUNCTION ST_EndPoint(geometry ) IS 'args: g - LINESTRING 또는 CIRCULARLINESTRING 도형의 마지막 포인트를 POINT로 반환합니다.';
			
COMMENT ON FUNCTION ST_Envelope(geometry ) IS 'args: g1 - 주어진 도형의 이중 정밀도(double precision; float8) 경계 상자를 표현하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_BoundingDiagonal(geometry , boolean ) IS 'args: geom, fits=false - 주어진 도형의 경계 상자의 대각선을 반환합니다.';
			
COMMENT ON FUNCTION ST_ExteriorRing(geometry ) IS 'args: a_polygon - POLYGON 도형의 외곽 고리(exterior ring)를 표현하는 라인스트링을 반환합니다. 도형이 폴리곤이 아닌 경우 NULL을 반환합니다. 멀티폴리곤은 입력받지 못 합니다.';
			
COMMENT ON FUNCTION ST_GeometryN(geometry , integer ) IS 'args: geomA, n - 입력 도형이 도형 집합, (멀티)포인트, (멀티)라인스트링, 멀티커브(multicurve) 또는 (멀티)폴리곤이나 다면체 표면일 경우 1-기반 N번째 도형을 반환하며, 그 외의 경우 NULL을 반환합니다.';
			
COMMENT ON FUNCTION ST_GeometryType(geometry ) IS 'args: g1 - ST_Geometry 값의 도형 유형을 반환합니다.';
			
COMMENT ON FUNCTION ST_InteriorRingN(geometry , integer ) IS 'args: a_polygon, n - 폴리곤 도형의 N번째 내곽 라인스트링 고리를 반환합니다. 도형이 폴리곤이 아니거나 주어진 N이 범위(range)를 벗어난 경우 NULL을 반환합니다.';
			
COMMENT ON FUNCTION ST_IsEmpty(geometry ) IS 'args: geomA - Returns true if all exterior rings are oriented counter-clockwise and all interior rings are oriented clockwise.';
			
COMMENT ON FUNCTION ST_IsEmpty(geometry ) IS 'args: geomA - Returns true if all exterior rings are oriented clockwise and all interior rings are oriented counter-clockwise.';
			
COMMENT ON FUNCTION ST_IsClosed(geometry ) IS 'args: g - LINESTRING 의 시작점과 종단점이 일치하는 경우 TRUE 를 반환합니다. 다면체 표면이 닫혀 (부피를 가지고) 있는 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_IsCollection(geometry ) IS 'args: g - 인수가 집합(MULTI*, GEOMETRYCOLLECTION, ...)인 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_IsEmpty(geometry ) IS 'args: geomA - 해당 도형이 텅 빈 도형 집합, 폴리곤, 포인트 등인 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_IsRing(geometry ) IS 'args: g - LINESTRING 이 닫혀 있는 단순 도형인 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_IsSimple(geometry ) IS 'args: geomA - 해당 도형이 자체 교차하거나 자체 접촉하는 이례적인 도형 포인트를 가지고 있지 않을 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_IsValid(geometry ) IS 'args: g - ST_Geometry 가 잘 형성돼 있는 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_IsValid(geometry , integer ) IS 'args: g, flags - ST_Geometry 가 잘 형성돼 있는 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_IsValidReason(geometry ) IS 'args: geomA - 도형이 유효한지 아닌지, 그리고 유효하지 않을 경우 그 이유를 설명하는 텍스트를 반환합니다.';
			
COMMENT ON FUNCTION ST_IsValidReason(geometry , integer ) IS 'args: geomA, flags - 도형이 유효한지 아닌지, 그리고 유효하지 않을 경우 그 이유를 설명하는 텍스트를 반환합니다.';
			
COMMENT ON FUNCTION ST_IsValidDetail(geometry ) IS 'args: geom - 도형이 유효한지 아닌지, 그리고 유효하지 않을 경우 그 이유 및 위치를 설명하는 valid_detail (유효 여부, 이유, 위치) 행을 반환합니다.';
			
COMMENT ON FUNCTION ST_IsValidDetail(geometry , integer ) IS 'args: geom, flags - 도형이 유효한지 아닌지, 그리고 유효하지 않을 경우 그 이유 및 위치를 설명하는 valid_detail (유효 여부, 이유, 위치) 행을 반환합니다.';
			
COMMENT ON FUNCTION ST_M(geometry ) IS 'args: a_point - 포인트의 M 좌표를 반환합니다. M 좌표가 없는 경우 NULL을 반환합니다. 포인트만 입력받을 수 있습니다.';
			
COMMENT ON FUNCTION ST_NDims(geometry ) IS 'args: g1 - 도형의 좌표 차원을 2바이트 정수형(smallint)으로 반환합니다. 값은 2, 3, 또는 4입니다.';
			
COMMENT ON FUNCTION ST_NPoints(geometry ) IS 'args: g1 - 도형이 가지고 있는 포인트(꼭짓점)의 개수를 반환합니다.';
			
COMMENT ON FUNCTION ST_NRings(geometry ) IS 'args: geomA - 도형이 폴리곤 또는 멀티폴리곤인 경우 고리의 개수를 반환합니다.';
			
COMMENT ON FUNCTION ST_NumGeometries(geometry ) IS 'args: geom - 도형이 도형 집합 또는 멀티 도형인 경우 도형의 개수를 반환합니다. 단일 도형인 경우 1을 반환하고, 도형 집합도 멀티 도형도 단일 도형도 아닌 경우 NULL을 반환합니다.';
			
COMMENT ON FUNCTION ST_NumInteriorRings(geometry ) IS 'args: a_polygon - 폴리곤 도형의 내곽 고리의 개수를 반환합니다.';
			
COMMENT ON FUNCTION ST_NumInteriorRing(geometry ) IS 'args: a_polygon - 도형 안에 있는 폴리곤의 내곽 고리의 개수를 반환합니다. ST_NumInteriorRings 함수와 동일합니다.';
			
COMMENT ON FUNCTION ST_NumPatches(geometry ) IS 'args: g1 - 다면체 표면 상에 있는 면의 개수를 반환합니다. 다면체 도형이 아닌 경우 NULL을 반환할 것입니다.';
			
COMMENT ON FUNCTION ST_NumPoints(geometry ) IS 'args: g1 - ST_LineString 또는 ST_CircularString 값에 있는 포인트의 개수를 반환합니다.';
			
COMMENT ON FUNCTION ST_PatchN(geometry , integer ) IS 'args: geomA, n - 도형이 POLYHEDRALSURFACE, POLYHEDRALSURFACEM 인 경우 1-기반 N번째 도형 (면)을 반환합니다. 그 외의 경우 NULL을 반환합니다.';
			
COMMENT ON FUNCTION ST_PointN(geometry , integer ) IS 'args: a_linestring, n - 도형 안에 있는 첫 번째 라인스트링 또는 원형 라인스트링의 N번째 포인트를 반환합니다. 음수 값은 라인스트링의 종단점으로부터 반대로 집계된 것입니다. 도형 안에 라인스트링이 없는 경우 NULL을 반환합니다.';
			
COMMENT ON FUNCTION ST_Points(geometry) IS 'args: geom - 도형의 모든 좌표들을 담고 있는 멀티포인트를 반환합니다.';
			
COMMENT ON FUNCTION ST_SRID(geometry ) IS 'args: g1 - spatial_ref_sys 테이블에 정의되어 있는, ST_Geometry에 대한 공간 참조 식별자를 반환합니다.';
			
COMMENT ON FUNCTION ST_StartPoint(geometry ) IS 'args: geomA - LINESTRING 도형의 첫 번째 포인트를 POINT로 반환합니다.';
			
COMMENT ON FUNCTION ST_Summary(geometry ) IS 'args: g - 도형의 내용을 요약한 텍스트를 반환합니다.';
			
COMMENT ON FUNCTION ST_Summary(geography ) IS 'args: g - 도형의 내용을 요약한 텍스트를 반환합니다.';
			
COMMENT ON FUNCTION ST_X(geometry ) IS 'args: a_point - 포인트의 X 좌표를 반환합니다. X 좌표가 없는 경우 NULL을 반환합니다. 포인트만 입력받을 수 있습니다.';
			
COMMENT ON FUNCTION ST_XMax(box3d ) IS 'args: aGeomorBox2DorBox3D - 2차원 경계 상자(box2d) 또는 3차원 경계 상자(box3d) 또는 도형의 최대 X값을 반환합니다.';
			
COMMENT ON FUNCTION ST_XMin(box3d ) IS 'args: aGeomorBox2DorBox3D - 2차원 경계 상자(box2d) 또는 3차원 경계 상자(box3d) 또는 도형의 최소 X값을 반환합니다.';
			
COMMENT ON FUNCTION ST_Y(geometry ) IS 'args: a_point - 포인트의 Y 좌표를 반환합니다. Y 좌표가 없는 경우 NULL을 반환합니다. 포인트만 입력받을 수 있습니다.';
			
COMMENT ON FUNCTION ST_YMax(box3d ) IS 'args: aGeomorBox2DorBox3D - 2차원 경계 상자(box2d) 또는 3차원 경계 상자(box3d) 또는 도형의 최대 Y값을 반환합니다.';
			
COMMENT ON FUNCTION ST_YMin(box3d ) IS 'args: aGeomorBox2DorBox3D - 2차원 경계 상자(box2d) 또는 3차원 경계 상자(box3d) 또는 도형의 최소 Y값을 반환합니다.';
			
COMMENT ON FUNCTION ST_Z(geometry ) IS 'args: a_point - 포인트의 Z 좌표를 반환합니다. Z 좌표가 없는 경우 NULL을 반환합니다. 포인트만 입력받을 수 있습니다.';
			
COMMENT ON FUNCTION ST_ZMax(box3d ) IS 'args: aGeomorBox2DorBox3D - 2차원 경계 상자(box2d) 또는 3차원 경계 상자(box3d) 또는 도형의 최대 Z값을 반환합니다.';
			
COMMENT ON FUNCTION ST_Zmflag(geometry ) IS 'args: geomA - 도형의 ZM(의미론적 차원) 플래그를 2바이트 정수형(smallint)으로 반환합니다. 값이 0일 때 2D, 1일 때 3DM, 3일 때 3DZ, 4일 때 4D를 뜻합니다.';
			
COMMENT ON FUNCTION ST_ZMin(box3d ) IS 'args: aGeomorBox2DorBox3D - 2차원 경계 상자(box2d) 또는 3차원 경계 상자(box3d) 또는 도형의 최대 Z값을 반환합니다.';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry) IS 'args: linestring, point - 라인스트링에 포인트를 추가합니다.';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry, integer) IS 'args: linestring, point, position - 라인스트링에 포인트를 추가합니다.';
			
COMMENT ON FUNCTION ST_Affine(geometry , float , float , float , float , float , float , float , float , float , float , float , float ) IS 'args: geomA, a, b, c, d, e, f, g, h, i, xoff, yoff, zoff - 도형에 3차원 아핀 변환을 적용합니다.';
			
COMMENT ON FUNCTION ST_Affine(geometry , float , float , float , float , float , float ) IS 'args: geomA, a, b, d, e, xoff, yoff - 도형에 3차원 아핀 변환을 적용합니다.';
			
COMMENT ON FUNCTION ST_Force2D(geometry ) IS 'args: geomA - 도형을 "2차원 모드"로 강제합니다.';
			
COMMENT ON FUNCTION ST_Force3D(geometry ) IS 'args: geomA - 도형을 XYZ 모드로 강제합니다. ST_Force3DZ라고도 합니다.';
			
COMMENT ON FUNCTION ST_Force3DZ(geometry ) IS 'args: geomA - 도형을 XYZ 모드로 강제합니다.';
			
COMMENT ON FUNCTION ST_Force3DM(geometry ) IS 'args: geomA - 도형을 XYM 모드로 강제합니다.';
			
COMMENT ON FUNCTION ST_Force4D(geometry ) IS 'args: geomA - 도형을 XYZM 모드로 강제합니다.';
			
COMMENT ON FUNCTION ST_ForceCollection(geometry ) IS 'args: geomA - Orients all exterior rings counter-clockwise and all interior rings clockwise.';
			
COMMENT ON FUNCTION ST_ForceCollection(geometry ) IS 'args: geomA - 도형을 도형 집합으로 변환합니다.';
			
COMMENT ON FUNCTION ST_ForceCollection(geometry ) IS 'args: geomA - Orients all exterior rings clockwise and all interior rings counter-clockwise.';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry ) IS 'args: geomA - 도형이 SFS 1.1 도형 유형만을 쓰도록 강제합니다.';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry , text ) IS 'args: geomA, version - 도형이 SFS 1.1 도형 유형만을 쓰도록 강제합니다.';
			
COMMENT ON FUNCTION ST_ForceRHR(geometry) IS 'args: g - 폴리곤 안에 있는 꼭짓점들의 방향(orientation)이 오른손 법칙(Right-Hand Rule)을 따르도록 강제합니다.';
			
COMMENT ON FUNCTION ST_ForceCurve(geometry) IS 'args: g - 적용이 가능한 경우, 도형을 해당 도형의 만곡 유형으로 상위 형변환(upcast)합니다.';
			
COMMENT ON FUNCTION ST_LineMerge(geometry ) IS 'args: amultilinestring - 멀티라인스트링을 함께 엮어 형성된 라인스트링(들)(의 집합)을 반환합니다.';
			
COMMENT ON FUNCTION ST_CollectionExtract(geometry , integer ) IS 'args: collection, type - (멀티) 도형을 입력하면 지정한 유형의 요소들로만 이루어진 (멀티) 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_CollectionHomogenize(geometry ) IS 'args: collection - 도형 집합을 입력받아 해당 내용의 "가장 단순한" 표현식을 반환합니다.';
			
COMMENT ON FUNCTION ST_Multi(geometry ) IS 'args: g1 - 도형을 멀티 유형 도형으로 반환합니다.';
			
COMMENT ON FUNCTION ST_Normalize(geometry ) IS 'args: geom - 도형을 해당 도형의 기본형으로 반환합니다.';
			
COMMENT ON FUNCTION ST_RemovePoint(geometry, integer) IS 'args: linestring, offset - 라인스트링에서 포인트를 제거합니다.';
			
COMMENT ON FUNCTION ST_Reverse(geometry ) IS 'args: g1 - 꼭짓점들의 순서가 반대인 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float) IS 'args: geomA, rotRadians - 원점(origin)을 기준으로 도형의 rotRadians를 반시계 방향으로 회전시킵니다.';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float, float, float) IS 'args: geomA, rotRadians, x0, y0 - 원점(origin)을 기준으로 도형의 rotRadians를 반시계 방향으로 회전시킵니다.';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float, geometry) IS 'args: geomA, rotRadians, pointOrigin - 원점(origin)을 기준으로 도형의 rotRadians를 반시계 방향으로 회전시킵니다.';
			
COMMENT ON FUNCTION ST_RotateX(geometry, float) IS 'args: geomA, rotRadians - X축을 기준으로 도형의 rotRadians를 회전시킵니다.';
			
COMMENT ON FUNCTION ST_RotateY(geometry, float) IS 'args: geomA, rotRadians - Y축을 기준으로 도형의 rotRadians를 회전시킵니다.';
			
COMMENT ON FUNCTION ST_RotateZ(geometry, float) IS 'args: geomA, rotRadians - Z축을 기준으로 도형의 rotRadians를 회전시킵니다.';
			
COMMENT ON FUNCTION ST_Scale(geometry , float, float, float) IS 'args: geomA, XFactor, YFactor, ZFactor - 주어진 인수로 도형의 크기를 조정합니다.';
			
COMMENT ON FUNCTION ST_Scale(geometry , float, float) IS 'args: geomA, XFactor, YFactor - 주어진 인수로 도형의 크기를 조정합니다.';
			
COMMENT ON FUNCTION ST_Scale(geometry , geometry) IS 'args: geom, factor - 주어진 인수로 도형의 크기를 조정합니다.';
			
COMMENT ON FUNCTION ST_Segmentize(geometry , float ) IS 'args: geom, max_segment_length - 주어진 거리보다 더 긴 구간이 없도록 수정된 도형/지리형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Segmentize(geography , float ) IS 'args: geog, max_segment_length - 주어진 거리보다 더 긴 구간이 없도록 수정된 도형/지리형을 반환합니다.';
			
COMMENT ON FUNCTION ST_SetPoint(geometry, integer, geometry) IS 'args: linestring, zerobasedposition, point - 라인스트링의 포인트를 주어진 포인트로 대체합니다.';
			
COMMENT ON FUNCTION ST_SetSRID(geometry , integer ) IS 'args: geom, srid - 도형에 적용된 SRID를 특정 정수값으로 설정합니다.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float , float , float ) IS 'args: geomA, originX, originY, sizeX, sizeY - 입력 도형의 모든 포인트를 정규 그리드로 스냅(snap)시킵니다.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float ) IS 'args: geomA, sizeX, sizeY - 입력 도형의 모든 포인트를 정규 그리드로 스냅(snap)시킵니다.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float ) IS 'args: geomA, size - 입력 도형의 모든 포인트를 정규 그리드로 스냅(snap)시킵니다.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , geometry , float , float , float , float ) IS 'args: geomA, pointOrigin, sizeX, sizeY, sizeZ, sizeM - 입력 도형의 모든 포인트를 정규 그리드로 스냅(snap)시킵니다.';
			
COMMENT ON FUNCTION ST_Snap(geometry , geometry , float ) IS 'args: input, reference, tolerance - 입력 도형의 분절 구간과 꼭짓점을 참조 도형의 꼭짓점으로 스냅시킵니다.';
			
COMMENT ON FUNCTION ST_Transform(geometry , integer ) IS 'args: g1, srid - 입력 도형의 좌표를 다른 공간 참조 시스템으로 변환시킨 새 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Transform(geometry , text ) IS 'args: geom, to_proj - 입력 도형의 좌표를 다른 공간 참조 시스템으로 변환시킨 새 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Transform(geometry , text , text ) IS 'args: geom, from_proj, to_proj - 입력 도형의 좌표를 다른 공간 참조 시스템으로 변환시킨 새 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Transform(geometry , text , integer ) IS 'args: geom, from_proj, to_srid - 입력 도형의 좌표를 다른 공간 참조 시스템으로 변환시킨 새 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Translate(geometry , float , float ) IS 'args: g1, deltax, deltay - 주어진 오프셋으로 도형을 변형시킵니다.';
			
COMMENT ON FUNCTION ST_Translate(geometry , float , float , float ) IS 'args: g1, deltax, deltay, deltaz - 주어진 오프셋으로 도형을 변형시킵니다.';
			
COMMENT ON FUNCTION ST_TransScale(geometry , float, float, float, float) IS 'args: geomA, deltaX, deltaY, XFactor, YFactor - 주어진 인수 및 오프셋으로 도형을 변형시킵니다.';
			
COMMENT ON FUNCTION ST_AsBinary(geometry ) IS 'args: g1 - 도형/지리형의 WKB(Well-Known Binary) 표현식을 SRID 메타데이터 없이 반환합니다.';
			
COMMENT ON FUNCTION ST_AsBinary(geometry , text ) IS 'args: g1, NDR_or_XDR - 도형/지리형의 WKB(Well-Known Binary) 표현식을 SRID 메타데이터 없이 반환합니다.';
			
COMMENT ON FUNCTION ST_AsBinary(geography ) IS 'args: g1 - 도형/지리형의 WKB(Well-Known Binary) 표현식을 SRID 메타데이터 없이 반환합니다.';
			
COMMENT ON FUNCTION ST_AsBinary(geography , text ) IS 'args: g1, NDR_or_XDR - 도형/지리형의 WKB(Well-Known Binary) 표현식을 SRID 메타데이터 없이 반환합니다.';
			
COMMENT ON FUNCTION ST_AsEncodedPolyline(geometry, integer ) IS 'args: geom, precision=5 - 라인스트링 도형으로부터 인코딩된 폴리라인을 반환합니다.';
			
COMMENT ON FUNCTION ST_AsEWKB(geometry ) IS 'args: g1 - 도형/지리형의 WKB(Well-Known Binary) 표현식을 SRID 메타데이터와 함께 반환합니다.';
			
COMMENT ON FUNCTION ST_AsEWKB(geometry , text ) IS 'args: g1, NDR_or_XDR - 도형/지리형의 WKB(Well-Known Binary) 표현식을 SRID 메타데이터와 함께 반환합니다.';
			
COMMENT ON FUNCTION ST_AsEWKT(geometry ) IS 'args: g1 - 도형의 WKT(Well-Known Text) 표현식을 SRID 메타데이터와 함께 반환합니다.';
			
COMMENT ON FUNCTION ST_AsEWKT(geography ) IS 'args: g1 - 도형의 WKT(Well-Known Text) 표현식을 SRID 메타데이터와 함께 반환합니다.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(geometry , integer , integer ) IS 'args: geom, maxdecimaldigits=15, options=0 - 도형을 GeoJSON 요소로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(geography , integer , integer ) IS 'args: geog, maxdecimaldigits=15, options=0 - 도형을 GeoJSON 요소로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(integer , geometry , integer , integer ) IS 'args: gj_version, geom, maxdecimaldigits=15, options=0 - 도형을 GeoJSON 요소로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(integer , geography , integer , integer ) IS 'args: gj_version, geog, maxdecimaldigits=15, options=0 - 도형을 GeoJSON 요소로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsGML(geometry , integer , integer ) IS 'args: geom, maxdecimaldigits=15, options=0 - 도형을 GML 2 또는 GML 3 버전 요소로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsGML(geography , integer , integer ) IS 'args: geog, maxdecimaldigits=15, options=0 - 도형을 GML 2 또는 GML 3 버전 요소로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsGML(integer , geometry , integer , integer , text , text ) IS 'args: version, geom, maxdecimaldigits=15, options=0, nprefix=null, id=null - 도형을 GML 2 또는 GML 3 버전 요소로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsGML(integer , geography , integer , integer , text , text ) IS 'args: version, geog, maxdecimaldigits=15, options=0, nprefix=null, id=null - 도형을 GML 2 또는 GML 3 버전 요소로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsHEXEWKB(geometry , text ) IS 'args: g1, NDRorXDR - 도형을 소 엔디안(NDR) 또는 대 엔디안(XDR) 인코딩을 통해 HEXEWKB (텍스트) 형식으로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsHEXEWKB(geometry ) IS 'args: g1 - 도형을 소 엔디안(NDR) 또는 대 엔디안(XDR) 인코딩을 통해 HEXEWKB (텍스트) 형식으로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsKML(geometry , integer ) IS 'args: geom, maxdecimaldigits=15 - 도형을 KML 요소로 반환합니다. 변종이 몇 개 있습니다. 기본값은 버전 2, 정밀도 15입니다.';
			
COMMENT ON FUNCTION ST_AsKML(geography , integer ) IS 'args: geog, maxdecimaldigits=15 - 도형을 KML 요소로 반환합니다. 변종이 몇 개 있습니다. 기본값은 버전 2, 정밀도 15입니다.';
			
COMMENT ON FUNCTION ST_AsKML(integer , geometry , integer , text ) IS 'args: version, geom, maxdecimaldigits=15, nprefix=NULL - 도형을 KML 요소로 반환합니다. 변종이 몇 개 있습니다. 기본값은 버전 2, 정밀도 15입니다.';
			
COMMENT ON FUNCTION ST_AsKML(integer , geography , integer , text ) IS 'args: version, geog, maxdecimaldigits=15, nprefix=NULL - 도형을 KML 요소로 반환합니다. 변종이 몇 개 있습니다. 기본값은 버전 2, 정밀도 15입니다.';
			
COMMENT ON FUNCTION ST_AsLatLonText(geometry , text ) IS 'args: pt, format='' - 주어진 포인트의 도, 분, 초 표현식을 반환합니다.';
			
COMMENT ON FUNCTION ST_AsSVG(geometry , integer , integer ) IS 'args: geom, rel=0, maxdecimaldigits=15 - 도형을 주어진 도형 또는 지리형의 SVG 경로 데이터로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsSVG(geography , integer , integer ) IS 'args: geog, rel=0, maxdecimaldigits=15 - 도형을 주어진 도형 또는 지리형의 SVG 경로 데이터로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsText(geometry ) IS 'args: g1 - 도형/지리형의 WKT(Well-Known Text) 표현식을 SRID 메타데이터 없이 반환합니다.';
			
COMMENT ON FUNCTION ST_AsText(geography ) IS 'args: g1 - 도형/지리형의 WKT(Well-Known Text) 표현식을 SRID 메타데이터 없이 반환합니다.';
			
COMMENT ON FUNCTION ST_AsTWKB(geometry , integer , integer , integer , boolean , boolean ) IS 'args: g1, decimaldigits_xy=0, decimaldigits_z=0, decimaldigits_m=0, include_sizes=false, include_bounding boxes=false - 도형을 TWKB(Tiny Well-Known Binary)로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsTWKB(geometry[] , bigint[] , integer , integer , integer , boolean , boolean ) IS 'args: geometries, unique_ids, decimaldigits_xy=0, decimaldigits_z=0, decimaldigits_m=0, include_sizes=false, include_bounding_boxes=false - 도형을 TWKB(Tiny Well-Known Binary)로 반환합니다.';
			
COMMENT ON FUNCTION ST_AsX3D(geometry , integer , integer ) IS 'args: g1, maxdecimaldigits=15, options=0 - 도형을 X3D XML 노드 요소 형식: ISO-IEC-19776-1.2-X3DEncodings-XML로 반환합니다.';
			
COMMENT ON FUNCTION ST_GeoHash(geometry , integer ) IS 'args: geom, maxchars=full_precision_of_point - 도형의 GeoHash 표현식을 반환합니다.';
			
COMMENT ON FUNCTION ST_AsEWKB(geometry ) IS 'args: g1 - 도형의 GeoHash 표현식을 반환합니다.';
			
COMMENT ON FUNCTION ST_AsEWKB(geometry , text ) IS 'args: g1, NDR_or_XDR - 도형의 GeoHash 표현식을 반환합니다.';
			
COMMENT ON FUNCTION () IS 'Transform a geometry into the coordinate space of a Mapbox Vector Tile.';
			
COMMENT ON FUNCTION ST_AsKML(geometry , integer ) IS 'args: geom, maxdecimaldigits=15 - Return a Mapbox Vector Tile representation of a set of rows.';
			
COMMENT ON FUNCTION ST_AsKML(geography , integer ) IS 'args: geog, maxdecimaldigits=15 - Return a Mapbox Vector Tile representation of a set of rows.';
			
COMMENT ON FUNCTION ST_AsKML(integer , geometry , integer , text ) IS 'args: version, geom, maxdecimaldigits=15, nprefix=NULL - Return a Mapbox Vector Tile representation of a set of rows.';
			
COMMENT ON FUNCTION ST_AsKML(integer , geography , integer , text ) IS 'args: version, geog, maxdecimaldigits=15, nprefix=NULL - Return a Mapbox Vector Tile representation of a set of rows.';
			
COMMENT ON FUNCTION ST_3DClosestPoint(geometry , geometry ) IS 'args: g1, g2 - g2에 가장 가까운 g1 상에 있는 3차원 포인트를 반환합니다. 해당 포인트는 3D 최단 라인의 첫 번째 포인트입니다.';
			
COMMENT ON FUNCTION ST_3DDistance(geometry , geometry ) IS 'args: g1, g2 - 도형 유형에 대해, 두 도형 사이의 (SRS에 기반한) 3차원 데카르트 최단 거리를 투영 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_3DDWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance_of_srid - 3D(Z) 도형 유형에 대해, 두 도형의 3차원 거리가 단위의 개수 내일 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_3DDFullyWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance - 모든 3D 도형이 서로의 설정된 거리 내에 있을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_3DIntersects(geometry, geometry) IS 'args: geomA, geomB - 도형들이 3차원에서 "공간적으로 교차"하는 경우 참을 반환합니다. 포인트, 라인스트링, 폴리곤, 다면체 표면(면적)만 입력받습니다. SFCGAL 백엔드가 활성화됐다면 TIN도 지원합니다.';
			
COMMENT ON FUNCTION ST_3DLongestLine(geometry , geometry ) IS 'args: g1, g2 - 두 도형 사이의 3차원 최장(longest) 라인을 반환합니다.';
			
COMMENT ON FUNCTION ST_3DMaxDistance(geometry , geometry ) IS 'args: g1, g2 - 도형 유형에 대해, 두 도형 사이의 (SRS에 기반한) 3차원 데카르트 최장 거리를 투영 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_3DShortestLine(geometry , geometry ) IS 'args: g1, g2 - 두 도형 사이의 3차원 최단(shortest) 라인을 반환합니다.';
			
COMMENT ON FUNCTION ST_Area(geometry ) IS 'args: g1 - 도형이 폴리곤이나 멀티폴리곤일 경우 표면의 면적을 반환합니다. 도형 유형의 경우, SRID가 지정한 단위로 2차원 데카르트 면적을 구합니다. 지리형 유형의 경우, 평방미터 단위로 곡면(curved surface)의 면적을 구합니다.';
			
COMMENT ON FUNCTION ST_Area(geography , boolean ) IS 'args: geog, use_spheroid=true - 도형이 폴리곤이나 멀티폴리곤일 경우 표면의 면적을 반환합니다. 도형 유형의 경우, SRID가 지정한 단위로 2차원 데카르트 면적을 구합니다. 지리형 유형의 경우, 평방미터 단위로 곡면(curved surface)의 면적을 구합니다.';
			
COMMENT ON FUNCTION ST_Azimuth(geometry , geometry ) IS 'args: pointA, pointB - 포인트 A와 포인트 B를 잇는 선의 각도를, 포인트 A에 그은 수직선을 기준으로 시계 방향으로 라디안 단위로 각도를 측정해서 북극 기준(north-based) 방위각(azimuth)을 반환합니다.';
			
COMMENT ON FUNCTION ST_Azimuth(geography , geography ) IS 'args: pointA, pointB - 포인트 A와 포인트 B를 잇는 선의 각도를, 포인트 A에 그은 수직선을 기준으로 시계 방향으로 라디안 단위로 각도를 측정해서 북극 기준(north-based) 방위각(azimuth)을 반환합니다.';
			
COMMENT ON FUNCTION ST_Area(geometry ) IS 'args: g1 - 도형의 기하학적 중심을 반환합니다.';
			
COMMENT ON FUNCTION ST_Area(geography , boolean ) IS 'args: geog, use_spheroid=true - 도형의 기하학적 중심을 반환합니다.';
			
COMMENT ON FUNCTION ST_ClosestPoint(geometry , geometry ) IS 'args: g1, g2 - g2에 가장 가까운 g1 상에 있는 2차원 포인트를 반환합니다. 해당 포인트는 최단 라인의 첫 번째 포인트입니다.';
			
COMMENT ON FUNCTION ST_ClusterDBSCAN(geometry, float8 , integer ) IS 'args: geom, eps, minpoints - 각 입력 도형이 있는 클러스터에 대한 정수 ID를 DBSCAN(Density-Based Spatial Clustering of Applications with Noise) 알고리듬의 2차원 구현에 기반해서 반환하는, 서로 다른 데이터를 윈도를 통해 동시에 한 화면에 표시하는 함수입니다.';
			
COMMENT ON AGGREGATE ST_ClusterIntersecting(geometry) IS 'args: g - 종합 함수입니다. 도형들의 집합의 연결된 구성 요소들을 가진 배열을 반환합니다.';
			
COMMENT ON FUNCTION ST_ClusterKMeans(geometry, integer ) IS 'args: geom, number_of_clusters - 각 입력 도형이 있는 클러스터에 대한 정수 ID를 반환하는, 서로 다른 데이터를 윈도를 통해 동시에 한 화면에 표시하는 함수입니다.';
			
COMMENT ON AGGREGATE ST_ClusterWithin(geometry, float8 ) IS 'args: g, distance - 종합 합수입니다. 도형 집합의 배열을 반환합니다. 이때 도형 집합은 설정된 거리 미만으로 떨어진 도형들의 집합을 나타냅니다.';
			
COMMENT ON FUNCTION ST_Contains(geometry , geometry ) IS 'args: geomA, geomB - A 외부에 놓인 B의 포인트가 하나도 없고, 적어도 B 내부의 포인트 하나가 A의 내부에 있는 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_ContainsProperly(geometry , geometry ) IS 'args: geomA, geomB - B가 A의 내부와 교차하지만 A의 경계선(또는 외부)과 교차하지는 않을 경우 참을 반환합니다. A는 자기 자신을 제대로 담고 있지는 않지만, 자기 자신을 담고 있긴 합니다.';
			
COMMENT ON FUNCTION ST_Covers(geometry , geometry ) IS 'args: geomA, geomB - 도형 B 안에 있는 어떤 포인트도 도형 A 외부에 없을 경우 1(참)을 반환합니다.';
			
COMMENT ON FUNCTION ST_Covers(geography , geography ) IS 'args: geogpolyA, geogpointB - 도형 B 안에 있는 어떤 포인트도 도형 A 외부에 없을 경우 1(참)을 반환합니다.';
			
COMMENT ON FUNCTION ST_CoveredBy(geometry , geometry ) IS 'args: geomA, geomB - 도형/지리형 A 안에 있는 어떤 포인트도 도형/지리형 B 외부에 없을 경우 1(참)을 반환합니다.';
			
COMMENT ON FUNCTION ST_CoveredBy(geography , geography ) IS 'args: geogA, geogB - 도형/지리형 A 안에 있는 어떤 포인트도 도형/지리형 B 외부에 없을 경우 1(참)을 반환합니다.';
			
COMMENT ON FUNCTION ST_Crosses(geometry , geometry ) IS 'args: g1, g2 - 입력 도형들이 전부가 아닌 일부 내부 포인트를 공유하는 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_LineCrossingDirection(geometry , geometry ) IS 'args: linestringA, linestringB - 라인스트링 2개를 입력하면, 어떤 형태로 교차하고 있는지를 나타내는 -3에서 3 사이의 숫자를 반환합니다. 0은 교차하지 않음을 뜻합니다.';
			
COMMENT ON FUNCTION ST_Disjoint(geometry, geometry) IS 'args: A, B - 도형들이 "공간적으로 교차"하지 않을 경우 - 어떤 공간도 함께 공유하지 않을 경우 - 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Distance(geometry , geometry ) IS 'args: g1, g2 - 도형 유형에 대해, 두 도형 사이의 2차원 데카르트 거리를 투영 단위(SRS 단위)로 반환합니다. 지리형 유형의 경우, 기본적으로 두 도형 사이의 측지 거리를 미터 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_Distance(geography , geography ) IS 'args: gg1, gg2 - 도형 유형에 대해, 두 도형 사이의 2차원 데카르트 거리를 투영 단위(SRS 단위)로 반환합니다. 지리형 유형의 경우, 기본적으로 두 도형 사이의 측지 거리를 미터 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_Distance(geography , geography , boolean ) IS 'args: gg1, gg2, use_spheroid - 도형 유형에 대해, 두 도형 사이의 2차원 데카르트 거리를 투영 단위(SRS 단위)로 반환합니다. 지리형 유형의 경우, 기본적으로 두 도형 사이의 측지 거리를 미터 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_MinimumClearance(geometry ) IS 'args: g - 도형의 튼튼함(robustness)의 척도인 도형의 최소 여유(clearance)를 반환합니다.';
			
COMMENT ON FUNCTION ST_MinimumClearanceLine(geometry ) IS 'args: g - 포인트 2개로 이루어진, 도형의 최소 여유를 나타내는 라인스트링을 반환합니다.';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry ) IS 'args: g1, g2 - 두 도형 사이의 하우스도르프 거리를 반환합니다. 기본적으로 두 도형이 얼마나 유사한지 또는 유사하지 않은지에 대한 척도입니다. 두 도형의 공간 참조 시스템 단위를 씁니다.';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac - 두 도형 사이의 하우스도르프 거리를 반환합니다. 기본적으로 두 도형이 얼마나 유사한지 또는 유사하지 않은지에 대한 척도입니다. 두 도형의 공간 참조 시스템 단위를 씁니다.';
			
COMMENT ON FUNCTION ST_DFullyWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance - 두 도형 사이의 하우스도르프 거리를 반환합니다. 기본적으로 두 도형이 얼마나 유사한지 또는 유사하지 않은지에 대한 척도입니다. 두 도형의 공간 참조 시스템 단위를 씁니다.';
			
COMMENT ON FUNCTION ST_MaxDistance(geometry , geometry ) IS 'args: g1, g2 - 두 도형 사이의 2차원 최장 거리를 투영 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_DistanceSphere(geometry , geometry ) IS 'args: geomlonlatA, geomlonlatB - 경위도 도형 2개 사이의 최단 거리를 미터 단위로 반환합니다. SRID가 정의하는 회전타원체에서 추출한 반경을 가진 지구 구체를 이용합니다. 보다는 처리 속도가 빠르지만, 정확도는 떨어집니다. PostGIS 1.5 미만 버전에서는 포인트에 대해서만 구현돼 있었습니다.';
			
COMMENT ON FUNCTION ST_DistanceSpheroid(geometry , geometry , spheroid ) IS 'args: geomlonlatA, geomlonlatB, measurement_spheroid - 특정 회전타원체가 주어진 두 경위도 도형 사이의 최단 거리를 반환합니다. PostGIS 1.5 미만 버전은 포인트만 지원했습니다.';
			
COMMENT ON FUNCTION ST_DFullyWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance - 모든 도형이 서로 설정된 거리 안에 있을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_DWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance_of_srid - 도형들이 서로 설정된 거리 안에 있을 경우 참을 반환합니다. 도형의 경우 공간 참조의 단위를 쓰고, 지리형의 경우 미터 단위를 씁니다. 또 지리형의 경우 측정시 use_spheroid=true(회전타원체 상에서 측정)가 기본값이며, 더 빨리 검사하려면 구체 상에서 측정하도록 use_spheroid=false로 설정하십시오.';
			
COMMENT ON FUNCTION ST_DWithin(geography , geography , double precision ) IS 'args: gg1, gg2, distance_meters - 도형들이 서로 설정된 거리 안에 있을 경우 참을 반환합니다. 도형의 경우 공간 참조의 단위를 쓰고, 지리형의 경우 미터 단위를 씁니다. 또 지리형의 경우 측정시 use_spheroid=true(회전타원체 상에서 측정)가 기본값이며, 더 빨리 검사하려면 구체 상에서 측정하도록 use_spheroid=false로 설정하십시오.';
			
COMMENT ON FUNCTION ST_DWithin(geography , geography , double precision , boolean ) IS 'args: gg1, gg2, distance_meters, use_spheroid - 도형들이 서로 설정된 거리 안에 있을 경우 참을 반환합니다. 도형의 경우 공간 참조의 단위를 쓰고, 지리형의 경우 미터 단위를 씁니다. 또 지리형의 경우 측정시 use_spheroid=true(회전타원체 상에서 측정)가 기본값이며, 더 빨리 검사하려면 구체 상에서 측정하도록 use_spheroid=false로 설정하십시오.';
			
COMMENT ON FUNCTION ST_Equals(geometry , geometry ) IS 'args: A, B - 주어진 도형들이 동일한 도형일 경우 참을 반환합니다. 방향성은 무시합니다.';
			
COMMENT ON FUNCTION  ST_GeometricMedian ( geometry ,  float8 ,  int ,  boolean ) IS 'args:  g ,  tolerance ,  max_iter ,  fail_if_not_converged  - 멀티 포인트의 기하학적 중심값(median)을 반환합니다.';
			
COMMENT ON FUNCTION ST_HasArc(geometry ) IS 'args: geomA - 도형 또는 도형 집합이 원호 스트링을 담고 있을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Intersects(geometry, geometry) IS 'args: geomA, geomB - 도형/지리형이 "2차원에서 공간적으로 교차"(공간의 일부라도 공유)할 경우 참을 반환합니다. 그렇지 않을 경우 (도형/지리형이 서로 분리돼 있을 경우) 거짓을 반환합니다. 지리형의 경우 허용 오차가 0.00001미터입니다(따라서 10마이크로미터보다 가까운 포인트들은 교차한다고 여깁니다).';
			
COMMENT ON FUNCTION ST_Intersects(geography, geography) IS 'args: geogA, geogB - 도형/지리형이 "2차원에서 공간적으로 교차"(공간의 일부라도 공유)할 경우 참을 반환합니다. 그렇지 않을 경우 (도형/지리형이 서로 분리돼 있을 경우) 거짓을 반환합니다. 지리형의 경우 허용 오차가 0.00001미터입니다(따라서 10마이크로미터보다 가까운 포인트들은 교차한다고 여깁니다).';
			
COMMENT ON FUNCTION ST_Length(geometry ) IS 'args: a_2dlinestring - 도형이 라인스트링 또는 멀티라인스트링일 경우 도형의 2차원 길이를 반환합니다. 도형의 단위는 공간 참조 시스템 단위이며 지리형의 단위는 (기본값 회전타원체의) 미터 단위입니다.';
			
COMMENT ON FUNCTION ST_Length(geography , boolean ) IS 'args: geog, use_spheroid=true - 도형이 라인스트링 또는 멀티라인스트링일 경우 도형의 2차원 길이를 반환합니다. 도형의 단위는 공간 참조 시스템 단위이며 지리형의 단위는 (기본값 회전타원체의) 미터 단위입니다.';
			
COMMENT ON FUNCTION ST_Length2D(geometry ) IS 'args: a_2dlinestring - 도형이 라인스트링 또는 멀티라인스트링일 경우 도형의 2차원 길이를 반환합니다. 이 함수는 ST_Length 와 동일합니다.';
			
COMMENT ON FUNCTION ST_3DLength(geometry ) IS 'args: a_3dlinestring - 도형이 라인스트링 또는 멀티라인스트링일 경우 도형의 3차원 또는 2차원 길이를 반환합니다.';
			
COMMENT ON FUNCTION ST_LengthSpheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - 타원체 상에 있는 도형의 2차원 또는 3차원 길이/둘레를 계산합니다. 이 함수는 도형의 좌표가 경도/위도이며 재투영하지 않고 길이를 얻고 싶을 때 유용합니다.';
			
COMMENT ON FUNCTION ST_Length2D_Spheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - 타원체 상에 있는 도형의 2차원 길이/둘레를 계산합니다. 이 함수는 도형의 좌표가 경도/위도이며 재투영하지 않고 길이를 얻고 싶을 때 유용합니다.';
			
COMMENT ON FUNCTION ST_LongestLine(geometry , geometry ) IS 'args: g1, g2 - 두 도형 사이의 2차원 최장 라인을 반환합니다. 하나 이상의 최장 라인이 있을 경우, 이 함수는 자신이 찾은 첫 번째 최장 라인만 반환할 것입니다. 반환되는 라인은 항상 g1에서 시작해서 g2에서 끝납니다. 이 함수가 반환하는 라인의 길이는 함수가 g1과 g2에 대해 반환하는 길이와 언제나 동일합니다.';
			
COMMENT ON FUNCTION ST_OrderingEquals(geometry , geometry ) IS 'args: A, B - 주어진 도형들이 동일한 도형이며 포인트들의 순서가 동일한 방향일 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Overlaps(geometry , geometry ) IS 'args: A, B - 도형들이 공간을 공유하고, 동일한 차원이지만, 어느 한 쪽이 다른 쪽을 완전히 담고 있지 않을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Perimeter(geometry ) IS 'args: g1 - ST_Surface 또는 ST_MultiSurface 도형 또는 지리형(폴리곤, 멀티폴리곤)의 경계선의 길이 측정치를 반환합니다. 도형의 단위는 공간 참조 시스템 단위이며 지리형의 단위는 미터 단위입니다.';
			
COMMENT ON FUNCTION ST_Perimeter(geography , boolean ) IS 'args: geog, use_spheroid=true - ST_Surface 또는 ST_MultiSurface 도형 또는 지리형(폴리곤, 멀티폴리곤)의 경계선의 길이 측정치를 반환합니다. 도형의 단위는 공간 참조 시스템 단위이며 지리형의 단위는 미터 단위입니다.';
			
COMMENT ON FUNCTION ST_Perimeter2D(geometry ) IS 'args: geomA - 도형이 폴리곤 또는 멀티폴리곤일 경우 도형의 2차원 둘레를 반환합니다. 이 함수는 현재 ST_Perimeter 와 동일합니다.';
			
COMMENT ON FUNCTION ST_3DPerimeter(geometry ) IS 'args: geomA - 도형이 폴리곤 또는 멀티폴리곤일 경우 도형의 3차원 둘레를 반환합니다.';
			
COMMENT ON FUNCTION ST_PointOnSurface(geometry ) IS 'args: g1 - 표면에 붙어 있게 될 POINT 를 반환합니다.';
			
COMMENT ON FUNCTION ST_Project(geography , float , float ) IS 'args: g1, distance, azimuth - 시작점으로부터 미터 단위 거리 및 라디안 단위 방향(방위각)을 이용해 투영된 POINT 를 반환합니다.';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry , text ) IS 'args: geomA, geomB, intersectionMatrixPattern - 도형의 내부 사이의 교차점을 확인해서 한 도형이 다른 도형과 공간 관계가 있을 경우 참을 반환합니다. 두 도형의 경계선 및 외부는 intersectionMatrixPattern 안의 값들로 설정됩니다. intersectionMatrixPattern이 입력되지 않을 경우, 두 도형을 관계시키는 최대 intersectionMatrixPattern을 반환합니다.';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry ) IS 'args: geomA, geomB - 도형의 내부 사이의 교차점을 확인해서 한 도형이 다른 도형과 공간 관계가 있을 경우 참을 반환합니다. 두 도형의 경계선 및 외부는 intersectionMatrixPattern 안의 값들로 설정됩니다. intersectionMatrixPattern이 입력되지 않을 경우, 두 도형을 관계시키는 최대 intersectionMatrixPattern을 반환합니다.';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry , integer ) IS 'args: geomA, geomB, BoundaryNodeRule - 도형의 내부 사이의 교차점을 확인해서 한 도형이 다른 도형과 공간 관계가 있을 경우 참을 반환합니다. 두 도형의 경계선 및 외부는 intersectionMatrixPattern 안의 값들로 설정됩니다. intersectionMatrixPattern이 입력되지 않을 경우, 두 도형을 관계시키는 최대 intersectionMatrixPattern을 반환합니다.';
			
COMMENT ON FUNCTION ST_RelateMatch(text , text ) IS 'args: intersectionMatrix, intersectionMatrixPattern - intersectionMattrixPattern1이 intersectionMattrixPattern2를 의미할 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_ShortestLine(geometry , geometry ) IS 'args: g1, g2 - 두 도형 사이의 2차원 최단 라인을 반환합니다.';
			
COMMENT ON FUNCTION ST_Touches(geometry , geometry ) IS 'args: g1, g2 - 입력 도형들이 최소한 포인트 한 개를 공유하지만, 내부가 교차하지는 않을 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_Within(geometry , geometry ) IS 'args: A, B - 도형 A 전체가 도형 B 안에 들어갈 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float ) IS 'args: g1, radius_of_buffer - 입력 도형으로부터 주어진 거리 안에 있는 모든 포인트들을 커버하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - 입력 도형으로부터 주어진 거리 안에 있는 모든 포인트들을 커버하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - 입력 도형으로부터 주어진 거리 안에 있는 모든 포인트들을 커버하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float ) IS 'args: g1, radius_of_buffer_in_meters - 입력 도형으로부터 주어진 거리 안에 있는 모든 포인트들을 커버하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - 입력 도형으로부터 주어진 거리 안에 있는 모든 포인트들을 커버하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - 입력 도형으로부터 주어진 거리 안에 있는 모든 포인트들을 커버하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_BuildArea(geometry ) IS 'args: A - 주어진 도형의 선분 구성 요소로 이루어진 면 도형을 생성합니다.';
			
COMMENT ON FUNCTION ST_ClipByBox2D(geometry, box2d) IS 'args: geom, box - 직사각형 안에 들어오는 도형의 부분을 반환합니다.';
			
COMMENT ON AGGREGATE ST_Collect(geometry) IS 'args: g1field - 다른 도형들의 집합으로부터 설정된 ST_Geometry 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_Collect(geometry, geometry) IS 'args: g1, g2 - 다른 도형들의 집합으로부터 설정된 ST_Geometry 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_Collect(geometry[]) IS 'args: g1_array - 다른 도형들의 집합으로부터 설정된 ST_Geometry 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_ConcaveHull(geometry , float , boolean ) IS 'args: geomA, target_percent, allow_holes=false - 도형의 오목 껍질(concave hull)이란 집합 내부의 모든 도형들을 둘러싸는 오목할 수도 있는 도형을 말합니다. 진공 수축 포장이라는 식으로 생각할 수 있습니다.';
			
COMMENT ON FUNCTION ST_ConvexHull(geometry ) IS 'args: geomA - 도형의 볼록 껍질(convex hull)은 집합 내부의 모든 도형들을 둘러싸는 최소 볼록 도형을 의미합니다.';
			
COMMENT ON AGGREGATE ST_Collect(geometry) IS 'args: g1field - 원호 스트링(CIRCULARSTRING)/만곡 폴리곤(CURVEPOLYGON)을 라인스트링/폴리곤으로 변환합니다.';
			
COMMENT ON FUNCTION ST_Collect(geometry, geometry) IS 'args: g1, g2 - 원호 스트링(CIRCULARSTRING)/만곡 폴리곤(CURVEPOLYGON)을 라인스트링/폴리곤으로 변환합니다.';
			
COMMENT ON FUNCTION ST_Collect(geometry[]) IS 'args: g1_array - 원호 스트링(CIRCULARSTRING)/만곡 폴리곤(CURVEPOLYGON)을 라인스트링/폴리곤으로 변환합니다.';
			
COMMENT ON FUNCTION ST_DelaunayTriangles(geometry , float , int4 ) IS 'args: g1, tolerance, flags - 주어진 입력 포인트들을 둘러싼 들로네 삼각망(Delaunay triangulation)을 반환합니다.';
			
COMMENT ON FUNCTION ST_Difference(geometry , geometry ) IS 'args: geomA, geomB - 도형 A에서 도형 B와 교차하지 않는 부분을 표현하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Dump(geometry ) IS 'args: g1 - 도형 g1을 구성하고 있는 geometry_dump(도형, 경로) 행들의 집합을 반환합니다.';
			
COMMENT ON FUNCTION ST_DumpPoints(geometry ) IS 'args: geom - 도형을 구성하는 모든 포인트의 geometry_dump(도형, 경로) 행들의 집합을 반환합니다.';
			
COMMENT ON FUNCTION ST_DumpRings(geometry ) IS 'args: a_polygon - 폴리곤의 외곽 및 내곽 고리를 표현하는 geometry_dump 행들의 집합을 반환합니다.';
			
COMMENT ON FUNCTION ST_FlipCoordinates(geometry) IS 'args: geom - 입력 도형을 X축과 Y축을 뒤집은 상태로 반환합니다. 위도/경도 피처를 빌드해서 수정해야 하는 경우 유용합니다.';
			
COMMENT ON FUNCTION ST_GeneratePoints(geometry, numeric) IS 'args: g, npoints - 폴리곤 또는 멀티폴리곤을 원본 면의 내부에 임의로 배치한 포인트들로 구성된 멀티포인트로 변환합니다.';
			
COMMENT ON FUNCTION ST_Intersection(geometry, geometry) IS 'args: geomA, geomB - geomA와 geomB의 공유 부분을 표현하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Intersection(geography, geography) IS 'args: geogA, geogB - geomA와 geomB의 공유 부분을 표현하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_LineToCurve(geometry ) IS 'args: geomANoncircular - 라인스트링/폴리곤을 원호 스트링/만곡 폴리곤으로 변환합니다.';
			
COMMENT ON FUNCTION ST_MakeValid(geometry) IS 'args: input - 유효하지 않은 도형을 꼭짓점을 버리지 않고 유효한 도형으로 바꾸려고 시도합니다.';
			
COMMENT ON AGGREGATE ST_MemUnion(geometry) IS 'args: geomfield - 메모리 친화적이라는 점만 제외하면 ST_Union 함수와 동일합니다(메모리를 덜 사용하고 CPU 시간을 더 사용합니다).';
			
COMMENT ON FUNCTION ST_MinimumBoundingCircle(geometry , integer ) IS 'args: geomA, num_segs_per_qt_circ=48 - 도형 전체를 담을 수 있는 가장 작은 원형 폴리곤을 반환합니다. 기본값은 사분원 당 구간 48개를 사용하는 것입니다.';
			
COMMENT ON FUNCTION ST_MinimumBoundingRadius(geometry) IS 'args: geom - 도형 전체를 담을 수 있는 가장 작은 원의 중심 포인트 및 반지름을 반환합니다.';
			
COMMENT ON AGGREGATE ST_Polygonize(geometry) IS 'args: geomfield - 종합 함수입니다. 도형들의 집합의 선분 구성 요소로부터 형성될 수 있는 폴리곤들을 담고 있는 도형 집합을 생성합니다.';
			
COMMENT ON FUNCTION ST_Polygonize(geometry[]) IS 'args: geom_array - 종합 함수입니다. 도형들의 집합의 선분 구성 요소로부터 형성될 수 있는 폴리곤들을 담고 있는 도형 집합을 생성합니다.';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - 라인스트링들의 집합에 노드를 적용합니다.';
			
COMMENT ON FUNCTION ST_OffsetCurve(geometry , float , text ) IS 'args: line, signed_distance, style_parameters='' - 입력라인으로부터 주어진 거리 및 방향에 있는 오프셋 라인을 반환합니다. 중심선을 기준으로 평행한 라인들을 계산하는 데 유용합니다.';
			
COMMENT ON FUNCTION ST_RemoveRepeatedPoints(geometry, float8) IS 'args: geom, tolerance - 입력 도형을 중복된 포인트들을 제거한 상태로 반환합니다.';
			
COMMENT ON FUNCTION ST_SharedPaths(geometry, geometry) IS 'args: lineal1, lineal2 - 두 입력 라인스트링/멀티라인스트링이 공유하는 경로를 담고 있는 집합을 반환합니다.';
			
COMMENT ON FUNCTION ST_ShiftLongitude(geometry ) IS 'args: geomA - 도형의 좌표를 -180 ~ 180 범위와 0 ~ 360 범위 간에 전환합니다.';
			
COMMENT ON FUNCTION ST_WrapX(geometry , float8 , float8 ) IS 'args: geom, wrap, move - X값 근처에서 도형을 래핑합니다.';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - 더글러스-패커(Douglas-Peucker) 알고리즘을 이용해서 입력 도형의 "단순화"된 버전을 반환합니다.';
			
COMMENT ON FUNCTION ST_SimplifyPreserveTopology(geometry, float) IS 'args: geomA, tolerance - 더글러스-패커(Douglas-Peucker) 알고리즘을 이용해서 입력 도형의 "단순화"된 버전을 반환합니다. 유효하지 않은 파생 도형(특히 폴리곤)을 생성하지 않을 것입니다.';
			
COMMENT ON FUNCTION ST_SimplifyVW(geometry, float) IS 'args: geomA, tolerance - 비스베일링검-와이어트(Visvalingam-Whyatt) 알고리즘을 이용해서 입력 도형의 "단순화"된 버전을 반환합니다.';
			
COMMENT ON FUNCTION ST_SetEffectiveArea(geometry, float, integer) IS 'args: geomA, threshold = 0, set_area = 1 - M 세로 좌표(ordinate)에 값을 저장해서 각 꼭짓점에 대한 유효 범위(effective area)를 설정합니다. 그 다음 M 세로 좌표에 대해 필터링해서 단순화시킨 도형을 생성할 수 있습니다.';
			
COMMENT ON FUNCTION ST_Split(geometry, geometry) IS 'args: input, blade - 도형을 분해(split)해서 나오는 도형들의 집합을 반환합니다.';
			
COMMENT ON FUNCTION ST_SymDifference(geometry , geometry ) IS 'args: geomA, geomB - 도형 A와 B의 서로 교차하지 않는 부분들을 표현하는 도형을 반환합니다. ST_SymDifference(A,B) = ST_SymDifference(B,A)이기 때문에 이를 대칭차(symmetric difference)라고 합니다.';
			
COMMENT ON FUNCTION ST_Subdivide(geometry, integer) IS 'args: geom, max_vertices=256 - 집합 내의 모든 도형이 설정된 개수 이하의 꼭짓점을 가지는 도형 집합을 반환합니다.';
			
COMMENT ON FUNCTION ST_SwapOrdinates(geometry, cstring) IS 'args: geom, ords - 입력 도형을 좌표값을 뒤바꾼 상태로 반환합니다.';
			
COMMENT ON AGGREGATE ST_Union(geometry) IS 'args: g1field - 도형들의 포인트들을 통합한 집합을 표현하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Union(geometry, geometry) IS 'args: g1, g2 - 도형들의 포인트들을 통합한 집합을 표현하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_Union(geometry[]) IS 'args: g1_array - 도형들의 포인트들을 통합한 집합을 표현하는 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_UnaryUnion(geometry ) IS 'args: geom - ST_Union과 비슷하지만, 도형 구성 요소 레벨에서 동작합니다.';
			
COMMENT ON FUNCTION ST_Voronoi(geometry, geometry, float8, boolean) IS 'args: g1, clip, tolerance, return_polygons - 도형의 꼭짓점들로부터 보로노이(Voronoi) 다이어그램을 계산합니다.';
			
COMMENT ON FUNCTION ST_Voronoi(geometry, geometry, float8, boolean) IS 'args: g1, clip, tolerance, return_polygons - 도형의 꼭짓점들로부터 보로노이(Voronoi) 다이어그램을 계산합니다.';
			
COMMENT ON FUNCTION ST_LineInterpolatePoint(geometry , float8 ) IS 'args: a_linestring, a_fraction - 라인을 따라 보간된 포인트를 반환합니다. 두 번째 인수는 0과 1 사이의 Float8 데이터형으로 라인스트링의 전체 길이에서 포인트가 위치해야 하는 비율을 의미합니다.';
			
COMMENT ON FUNCTION ST_LineLocatePoint(geometry , geometry ) IS 'args: a_linestring, a_point - 입력 포인트에 가장 가까운 위치에 있는 라인스트링 상의 포인트를 나타내는 2차원 라인 전체 길이의 비율을 0에서 1 사이의 부동소수점 데이터형(float)으로 반환합니다.';
			
COMMENT ON FUNCTION ST_LineSubstring(geometry , float8 , float8 ) IS 'args: a_linestring, startfraction, endfraction - 입력 라인스트링의 전체 2차원 길이의 주어진 비율의 위치에서 시작해서 끝나는, 입력 라인스트링의 부분 스트링(substring)인 라인스트링을 반환합니다. 두 번째 및 세 번째 인수는 0과 1 사이의 8바이트 부동소수점 데이터형(float8) 값입니다.';
			
COMMENT ON FUNCTION ST_LocateAlong(geometry , float8 , float8 ) IS 'args: ageom_with_measure, a_measure, offset - 설정한 척도와 일치하는 요소들을 가진 파생 도형 집합의 값을 반환합니다. 폴리곤 구성 요소는 지원되지 않습니다.';
			
COMMENT ON FUNCTION ST_LocateBetween(geometry , float8 , float8 , float8 ) IS 'args: geomA, measure_start, measure_end, offset - 설정한 척도의 범위를 계산에 넣어서 일치하는 요소들을 가진 파생 도형 집합의 값을 반환합니다. 폴리곤 구성 요소는 지원되지 않습니다.';
			
COMMENT ON FUNCTION ST_LocateBetweenElevations(geometry , float8 , float8 ) IS 'args: geom_mline, elevation_start, elevation_end - 설정한 고도의 범위를 계산에 넣어서 교차하는 요소들을 가진 파생 도형(집합)의 값을 반환합니다. 3차원, 4차원 라인스트링과 멀티라인스트링만 지원합니다.';
			
COMMENT ON FUNCTION ST_InterpolatePoint(geometry , geometry ) IS 'args: line, point - 입력 포인트에 가까운 포인트에서 도형의 척도 차원의 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_AddMeasure(geometry , float8 , float8 ) IS 'args: geom_mline, measure_start, measure_end - 시작점과 종단점 사이의 선형적으로 보간된 척도 요소들을 가진 파생 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_IsValidTrajectory(geometry ) IS 'args: line - Returns true if the geometry is a valid trajectory.';
			
COMMENT ON FUNCTION ST_ClosestPointOfApproach(geometry , geometry ) IS 'args: track1, track2 - Returns the measure at which points interpolated along two lines are closest.';
			
COMMENT ON FUNCTION ST_DistanceCPA(geometry , geometry ) IS 'args: track1, track2 - Returns the distance between closest points of approach in two trajectories.';
			
COMMENT ON FUNCTION ST_CPAWithin(geometry , geometry , float8 ) IS 'args: track1, track2, maxdist - Returns true if the trajectories closest points of approach are within the specified distance.';
			
COMMENT ON FUNCTION AddAuth(text ) IS 'args: auth_token - Add an authorization token to be used in current transaction.';
			
COMMENT ON FUNCTION CheckAuth(text , text , text ) IS 'args: a_schema_name, a_table_name, a_key_column_name - Creates trigger on a table to prevent/allow updates and deletes of rows based on authorization token.';
			
COMMENT ON FUNCTION CheckAuth(text , text ) IS 'args: a_table_name, a_key_column_name - Creates trigger on a table to prevent/allow updates and deletes of rows based on authorization token.';
			
COMMENT ON FUNCTION DisableLongTransactions() IS 'Disable long transaction support. This function removes the long transaction support metadata tables, and drops all triggers attached to lock-checked tables.';
			
COMMENT ON FUNCTION EnableLongTransactions() IS 'Enable long transaction support. This function creates the required metadata tables, needs to be called once before using the other functions in this section. Calling it twice is harmless.';
			
COMMENT ON FUNCTION LockRow(text , text , text , text, timestamp) IS 'args: a_schema_name, a_table_name, a_row_key, an_auth_token, expire_dt - Set lock/authorization for specific row in table';
			
COMMENT ON FUNCTION LockRow(text , text , text, timestamp) IS 'args: a_table_name, a_row_key, an_auth_token, expire_dt - Set lock/authorization for specific row in table';
			
COMMENT ON FUNCTION LockRow(text , text , text) IS 'args: a_table_name, a_row_key, an_auth_token - Set lock/authorization for specific row in table';
			
COMMENT ON FUNCTION UnlockRows(text ) IS 'args: auth_token - Remove all locks held by specified authorization id. Returns the number of locks released.';
			
COMMENT ON AGGREGATE ST_Accum(geometry) IS 'args: geomfield - 종합 함수입니다. 도형들의 배열을 작성합니다.';
			
COMMENT ON FUNCTION Box2D(geometry ) IS 'args: geomA - 도형의 최대 범위(maximum extent)를 나타내는 BOX2D를 반환합니다.';
			
COMMENT ON FUNCTION Box3D(geometry ) IS 'args: geomA - 도형의 최대 범위를 나타내는 BOX3D를 반환합니다.';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text , text , boolean ) IS 'args: schema_name, table_name, geocolumn_name, parent_ony - 주어진 공간 테이블의 추정 범위를 반환합니다. 도형 열의 통계로부터 추정치를 추출합니다. 따로 설정하지 않을 경우 현재 스키마를 이용할 것입니다.';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text , text ) IS 'args: schema_name, table_name, geocolumn_name - 주어진 공간 테이블의 추정 범위를 반환합니다. 도형 열의 통계로부터 추정치를 추출합니다. 따로 설정하지 않을 경우 현재 스키마를 이용할 것입니다.';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text ) IS 'args: table_name, geocolumn_name - 주어진 공간 테이블의 추정 범위를 반환합니다. 도형 열의 통계로부터 추정치를 추출합니다. 따로 설정하지 않을 경우 현재 스키마를 이용할 것입니다.';
			
COMMENT ON FUNCTION ST_Expand(geometry , float) IS 'args: geom, units_to_expand - 입력 도형의 경계 상자로부터 모든 방향으로 확장된 경계 상자를 반환합니다. 이중 정밀도 데이터형을 사용합니다.';
			
COMMENT ON FUNCTION ST_Expand(geometry , float, float, float, float) IS 'args: geom, dx, dy, dz=0, dm=0 - 입력 도형의 경계 상자로부터 모든 방향으로 확장된 경계 상자를 반환합니다. 이중 정밀도 데이터형을 사용합니다.';
			
COMMENT ON FUNCTION ST_Expand(box2d , float) IS 'args: box, units_to_expand - 입력 도형의 경계 상자로부터 모든 방향으로 확장된 경계 상자를 반환합니다. 이중 정밀도 데이터형을 사용합니다.';
			
COMMENT ON FUNCTION ST_Expand(box2d , float, float) IS 'args: box, dx, dy - 입력 도형의 경계 상자로부터 모든 방향으로 확장된 경계 상자를 반환합니다. 이중 정밀도 데이터형을 사용합니다.';
			
COMMENT ON FUNCTION ST_Expand(box3d , float) IS 'args: box, units_to_expand - 입력 도형의 경계 상자로부터 모든 방향으로 확장된 경계 상자를 반환합니다. 이중 정밀도 데이터형을 사용합니다.';
			
COMMENT ON FUNCTION ST_Expand(box3d , float, float, float) IS 'args: box, dx, dy, dz=0 - 입력 도형의 경계 상자로부터 모든 방향으로 확장된 경계 상자를 반환합니다. 이중 정밀도 데이터형을 사용합니다.';
			
COMMENT ON AGGREGATE ST_Extent(geometry) IS 'args: geomfield - 도형 행들의 경계를 이루는 경계 상자를 반환하는 종합 함수입니다.';
			
COMMENT ON AGGREGATE ST_3DExtent(geometry) IS 'args: geomfield - 도형 행들의 경계를 이루는 BOX3D 경계 상자를 반환하는 종합 함수입니다.';
			
COMMENT ON FUNCTION Find_SRID(varchar , varchar , varchar ) IS 'args: a_schema_name, a_table_name, a_geomfield_name - 이 함수는 find_srid(a_db_schema, a_table, a_column)이라는 문법으로, GEOMETRY_COLUMNS 테이블을 검색해서 지정한 열의 정수형 SRID를 반환합니다.';
			
COMMENT ON FUNCTION ST_MemSize(geometry ) IS 'args: geomA - 도형이 차지하는 (바이트 단위) 공간 용량을 반환합니다.';
			
COMMENT ON FUNCTION ST_PointInsideCircle(geometry , float , float , float ) IS 'args: a_point, center_x, center_y, radius - center_x, center_y, radius로 정의되는 원 내부에 들어가는 포인트 도형입니다.';
			
COMMENT ON FUNCTION PostGIS_AddBBox(geometry ) IS 'args: geomA - Add bounding box to the geometry.';
			
COMMENT ON FUNCTION PostGIS_DropBBox(geometry ) IS 'args: geomA - Drop the bounding box cache from the geometry.';
			
COMMENT ON FUNCTION PostGIS_HasBBox(geometry ) IS 'args: geomA - Returns TRUE if the bbox of this geometry is cached, FALSE otherwise.';
			