
COMMENT ON FUNCTION AddRasterConstraints(name , name , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean ) IS 'args: rasttable, rastcolumn, srid, scale_x, scale_y, blocksize_x, blocksize_y, same_alignment, regular_blocking, num_bands=true, pixel_types=true, nodata_values=true, out_db=true, extent=true - 로드된 래스터 테이블에서 공간 참조 시스템, 축척, 블록 크기(blocksize), 정렬 방식, 밴드, 밴드 유형, 그리고 래스터 열이 정규적으로 블록화되어 있는지 표시하는 플래그를 제약하는 조건을 담고 있는 특정 열에 래스터 제약조건을 추가합니다. 해당 테이블에는 제약조건을 적용할 대상인 데이터가 로드돼 있어야만 합니다. 제약조건 설정이 달성될 경우 참을 반환하며, 문제가 있을 경우 안내문을 출력합니다.';
			
COMMENT ON FUNCTION AddRasterConstraints(name , name , text[] ) IS 'args: rasttable, rastcolumn, VARIADIC constraints - 로드된 래스터 테이블에서 공간 참조 시스템, 축척, 블록 크기(blocksize), 정렬 방식, 밴드, 밴드 유형, 그리고 래스터 열이 정규적으로 블록화되어 있는지 표시하는 플래그를 제약하는 조건을 담고 있는 특정 열에 래스터 제약조건을 추가합니다. 해당 테이블에는 제약조건을 적용할 대상인 데이터가 로드돼 있어야만 합니다. 제약조건 설정이 달성될 경우 참을 반환하며, 문제가 있을 경우 안내문을 출력합니다.';
			
COMMENT ON FUNCTION AddRasterConstraints(name , name , name , text[] ) IS 'args: rastschema, rasttable, rastcolumn, VARIADIC constraints - 로드된 래스터 테이블에서 공간 참조 시스템, 축척, 블록 크기(blocksize), 정렬 방식, 밴드, 밴드 유형, 그리고 래스터 열이 정규적으로 블록화되어 있는지 표시하는 플래그를 제약하는 조건을 담고 있는 특정 열에 래스터 제약조건을 추가합니다. 해당 테이블에는 제약조건을 적용할 대상인 데이터가 로드돼 있어야만 합니다. 제약조건 설정이 달성될 경우 참을 반환하며, 문제가 있을 경우 안내문을 출력합니다.';
			
COMMENT ON FUNCTION AddRasterConstraints(name , name , name , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean ) IS 'args: rastschema, rasttable, rastcolumn, srid=true, scale_x=true, scale_y=true, blocksize_x=true, blocksize_y=true, same_alignment=true, regular_blocking=false, num_bands=true, pixel_types=true, nodata_values=true, out_db=true, extent=true - 로드된 래스터 테이블에서 공간 참조 시스템, 축척, 블록 크기(blocksize), 정렬 방식, 밴드, 밴드 유형, 그리고 래스터 열이 정규적으로 블록화되어 있는지 표시하는 플래그를 제약하는 조건을 담고 있는 특정 열에 래스터 제약조건을 추가합니다. 해당 테이블에는 제약조건을 적용할 대상인 데이터가 로드돼 있어야만 합니다. 제약조건 설정이 달성될 경우 참을 반환하며, 문제가 있을 경우 안내문을 출력합니다.';
			
COMMENT ON FUNCTION DropRasterConstraints(name , name , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean ) IS 'args: rasttable, rastcolumn, srid, scale_x, scale_y, blocksize_x, blocksize_y, same_alignment, regular_blocking, num_bands=true, pixel_types=true, nodata_values=true, out_db=true, extent=true - 래스터 테이블 열을 참조하는 PostGIS 래스터 제약조건을 삭제합니다. 데이터를 다시 로드하거나 사용자 래스터 열 데이터를 업데이트해야 할 경우 유용합니다.';
			
COMMENT ON FUNCTION DropRasterConstraints(name , name , name , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean , boolean ) IS 'args: rastschema, rasttable, rastcolumn, srid=true, scale_x=true, scale_y=true, blocksize_x=true, blocksize_y=true, same_alignment=true, regular_blocking=false, num_bands=true, pixel_types=true, nodata_values=true, out_db=true, extent=true - 래스터 테이블 열을 참조하는 PostGIS 래스터 제약조건을 삭제합니다. 데이터를 다시 로드하거나 사용자 래스터 열 데이터를 업데이트해야 할 경우 유용합니다.';
			
COMMENT ON FUNCTION DropRasterConstraints(name , name , name , text[] ) IS 'args: rastschema, rasttable, rastcolumn, constraints - 래스터 테이블 열을 참조하는 PostGIS 래스터 제약조건을 삭제합니다. 데이터를 다시 로드하거나 사용자 래스터 열 데이터를 업데이트해야 할 경우 유용합니다.';
			
COMMENT ON FUNCTION AddOverviewConstraints(name , name , name , name , name , name , int ) IS 'args: ovschema, ovtable, ovcolumn, refschema, reftable, refcolumn, ovfactor - 래스터 열을 또 다른 래스터 열의 미리보기(overview)로 태그합니다.';
			
COMMENT ON FUNCTION AddOverviewConstraints(name , name , name , name , int ) IS 'args: ovtable, ovcolumn, reftable, refcolumn, ovfactor - 래스터 열을 또 다른 래스터 열의 미리보기(overview)로 태그합니다.';
			
COMMENT ON FUNCTION DropOverviewConstraints(name , name , name ) IS 'args: ovschema, ovtable, ovcolumn - 또 다른 래스터 열의 미리보기(overview)로서의 래스터 열을 태그 해제합니다.';
			
COMMENT ON FUNCTION DropOverviewConstraints(name , name ) IS 'args: ovtable, ovcolumn - 또 다른 래스터 열의 미리보기(overview)로서의 래스터 열을 태그 해제합니다.';
			
COMMENT ON FUNCTION PostGIS_GDAL_Version() IS 'PostGIS가 이용하고 있는 GDAL 라이브러리의 버전을 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_Raster_Lib_Build_Date() IS '전체 래스터 라이브러리의 빌드 날짜를 반환합니다.';
			
COMMENT ON FUNCTION PostGIS_Raster_Lib_Version() IS '전체 래스터 버전 및 설정 정보를 반환합니다.';
			
COMMENT ON FUNCTION ST_GDALDrivers() IS 'args: OUT idx, OUT short_name, OUT long_name, OUT create_options - 사용자 GDAL 라이브러리가 지원하는 래스터 형식들의 목록을 반환합니다. 사용자가 ST_AsGDALRaster 함수를 통해 사용자 래스터를 출력할 때 쓸 수 있는 형식들입니다.';
			
COMMENT ON FUNCTION UpdateRasterSRID(name , name , name , integer ) IS 'args: schema_name, table_name, column_name, new_srid - 사용자가 지정한 열 및 테이블에 있는 모든 래스터의 SRID를 변경합니다.';
			
COMMENT ON FUNCTION UpdateRasterSRID(name , name , integer ) IS 'args: table_name, column_name, new_srid - 사용자가 지정한 열 및 테이블에 있는 모든 래스터의 SRID를 변경합니다.';
			
COMMENT ON FUNCTION ST_CreateOverview(regclass , name , int , text ) IS 'args: tab, col, factor, algo=''NearestNeighbor'' - 입력 래스터 커버리지의 저해상도 버전을 생성합니다.';
			
COMMENT ON FUNCTION ST_AddBand(raster , addbandarg[] ) IS 'args: rast, addbandargset - 입력 인덱스 위치에 입력 초기값으로 추가된 입력 유형의 새 밴드(들)을 가진 래스터를 반환합니다. 인덱스를 설정하지 않을 경우, 마지막 위치에 밴드를 추가합니다.';
			
COMMENT ON FUNCTION ST_AddBand(raster , integer , text , double precision , double precision ) IS 'args: rast, index, pixeltype, initialvalue=0, nodataval=NULL - 입력 인덱스 위치에 입력 초기값으로 추가된 입력 유형의 새 밴드(들)을 가진 래스터를 반환합니다. 인덱스를 설정하지 않을 경우, 마지막 위치에 밴드를 추가합니다.';
			
COMMENT ON FUNCTION ST_AddBand(raster , text , double precision , double precision ) IS 'args: rast, pixeltype, initialvalue=0, nodataval=NULL - 입력 인덱스 위치에 입력 초기값으로 추가된 입력 유형의 새 밴드(들)을 가진 래스터를 반환합니다. 인덱스를 설정하지 않을 경우, 마지막 위치에 밴드를 추가합니다.';
			
COMMENT ON FUNCTION ST_AddBand(raster , raster , integer , integer ) IS 'args: torast, fromrast, fromband=1, torastindex=at_end - 입력 인덱스 위치에 입력 초기값으로 추가된 입력 유형의 새 밴드(들)을 가진 래스터를 반환합니다. 인덱스를 설정하지 않을 경우, 마지막 위치에 밴드를 추가합니다.';
			
COMMENT ON FUNCTION ST_AddBand(raster , raster[] , integer , integer ) IS 'args: torast, fromrasts, fromband=1, torastindex=at_end - 입력 인덱스 위치에 입력 초기값으로 추가된 입력 유형의 새 밴드(들)을 가진 래스터를 반환합니다. 인덱스를 설정하지 않을 경우, 마지막 위치에 밴드를 추가합니다.';
			
COMMENT ON FUNCTION ST_AddBand(raster , integer , text , integer[] , double precision ) IS 'args: rast, index, outdbfile, outdbindex, nodataval=NULL - 입력 인덱스 위치에 입력 초기값으로 추가된 입력 유형의 새 밴드(들)을 가진 래스터를 반환합니다. 인덱스를 설정하지 않을 경우, 마지막 위치에 밴드를 추가합니다.';
			
COMMENT ON FUNCTION ST_AddBand(raster , text , integer[] , integer , double precision ) IS 'args: rast, outdbfile, outdbindex, index=at_end, nodataval=NULL - 입력 인덱스 위치에 입력 초기값으로 추가된 입력 유형의 새 밴드(들)을 가진 래스터를 반환합니다. 인덱스를 설정하지 않을 경우, 마지막 위치에 밴드를 추가합니다.';
			
COMMENT ON FUNCTION ST_AsRaster(geometry , raster , text , double precision , double precision , boolean ) IS 'args: geom, ref, pixeltype, value=1, nodataval=0, touched=false - PostGIS 도형을 PostGIS 래스터로 변환합니다.';
			
COMMENT ON FUNCTION ST_AsRaster(geometry , raster , text[] , double precision[] , double precision[] , boolean ) IS 'args: geom, ref, pixeltype=ARRAY[''8BUI''], value=ARRAY[1], nodataval=ARRAY[0], touched=false - PostGIS 도형을 PostGIS 래스터로 변환합니다.';
			
COMMENT ON FUNCTION ST_AsRaster(geometry , double precision , double precision , double precision , double precision , text , double precision , double precision , double precision , double precision , boolean ) IS 'args: geom, scalex, scaley, gridx, gridy, pixeltype, value=1, nodataval=0, skewx=0, skewy=0, touched=false - PostGIS 도형을 PostGIS 래스터로 변환합니다.';
			
COMMENT ON FUNCTION ST_AsRaster(geometry , double precision , double precision , double precision , double precision , text[] , double precision[] , double precision[] , double precision , double precision , boolean ) IS 'args: geom, scalex, scaley, gridx=NULL, gridy=NULL, pixeltype=ARRAY[''8BUI''], value=ARRAY[1], nodataval=ARRAY[0], skewx=0, skewy=0, touched=false - PostGIS 도형을 PostGIS 래스터로 변환합니다.';
			
COMMENT ON FUNCTION ST_AsRaster(geometry , double precision , double precision , text , double precision , double precision , double precision , double precision , double precision , double precision , boolean ) IS 'args: geom, scalex, scaley, pixeltype, value=1, nodataval=0, upperleftx=NULL, upperlefty=NULL, skewx=0, skewy=0, touched=false - PostGIS 도형을 PostGIS 래스터로 변환합니다.';
			
COMMENT ON FUNCTION ST_AsRaster(geometry , double precision , double precision , text[] , double precision[] , double precision[] , double precision , double precision , double precision , double precision , boolean ) IS 'args: geom, scalex, scaley, pixeltype, value=ARRAY[1], nodataval=ARRAY[0], upperleftx=NULL, upperlefty=NULL, skewx=0, skewy=0, touched=false - PostGIS 도형을 PostGIS 래스터로 변환합니다.';
			
COMMENT ON FUNCTION ST_AsRaster(geometry , integer , integer , double precision , double precision , text , double precision , double precision , double precision , double precision , boolean ) IS 'args: geom, width, height, gridx, gridy, pixeltype, value=1, nodataval=0, skewx=0, skewy=0, touched=false - PostGIS 도형을 PostGIS 래스터로 변환합니다.';
			
COMMENT ON FUNCTION ST_AsRaster(geometry , integer , integer , double precision , double precision , text[] , double precision[] , double precision[] , double precision , double precision , boolean ) IS 'args: geom, width, height, gridx=NULL, gridy=NULL, pixeltype=ARRAY[''8BUI''], value=ARRAY[1], nodataval=ARRAY[0], skewx=0, skewy=0, touched=false - PostGIS 도형을 PostGIS 래스터로 변환합니다.';
			
COMMENT ON FUNCTION ST_AsRaster(geometry , integer , integer , text , double precision , double precision , double precision , double precision , double precision , double precision , boolean ) IS 'args: geom, width, height, pixeltype, value=1, nodataval=0, upperleftx=NULL, upperlefty=NULL, skewx=0, skewy=0, touched=false - PostGIS 도형을 PostGIS 래스터로 변환합니다.';
			
COMMENT ON FUNCTION ST_AsRaster(geometry , integer , integer , text[] , double precision[] , double precision[] , double precision , double precision , double precision , double precision , boolean ) IS 'args: geom, width, height, pixeltype, value=ARRAY[1], nodataval=ARRAY[0], upperleftx=NULL, upperlefty=NULL, skewx=0, skewy=0, touched=false - PostGIS 도형을 PostGIS 래스터로 변환합니다.';
			
COMMENT ON FUNCTION ST_Band(raster , integer[] ) IS 'args: rast, nbands = ARRAY[1] - 기존 래스터의 하나 이상의 밴드를 새 래스터로 반환합니다. 기존 래스터로부터 새 래스터를 빌드하는 데 유용합니다.';
			
COMMENT ON FUNCTION ST_Band(raster , integer ) IS 'args: rast, nband - 기존 래스터의 하나 이상의 밴드를 새 래스터로 반환합니다. 기존 래스터로부터 새 래스터를 빌드하는 데 유용합니다.';
			
COMMENT ON FUNCTION ST_Band(raster , text , character ) IS 'args: rast, nbands, delimiter=, - 기존 래스터의 하나 이상의 밴드를 새 래스터로 반환합니다. 기존 래스터로부터 새 래스터를 빌드하는 데 유용합니다.';
			
COMMENT ON FUNCTION () IS 'Cover georeferenced area with a grid of empty raster tiles.';
			
COMMENT ON FUNCTION ST_MakeEmptyRaster(raster ) IS 'args: rast - 설정된 차원(너비 & 높이), 좌상단 X 및 Y, 픽셀 크기, 회전(scalex, scaley, skewx & skewy) 그리고 공간 참조 시스템(SRID)를 가진 텅 빈 (밴드가 없는) 래스터를 반환합니다. 래스터를 입력할 경우, 동일한 크기, 정렬 방향 및 SRID를 가진 새 래스터를 반환합니다. SRID를 생략할 경우, 공간 참조 시스템을 0(unknown)으로 설정합니다.';
			
COMMENT ON FUNCTION ST_MakeEmptyRaster(integer , integer , float8 , float8 , float8 , float8 , float8 , float8 , integer ) IS 'args: width, height, upperleftx, upperlefty, scalex, scaley, skewx, skewy, srid=unknown - 설정된 차원(너비 & 높이), 좌상단 X 및 Y, 픽셀 크기, 회전(scalex, scaley, skewx & skewy) 그리고 공간 참조 시스템(SRID)를 가진 텅 빈 (밴드가 없는) 래스터를 반환합니다. 래스터를 입력할 경우, 동일한 크기, 정렬 방향 및 SRID를 가진 새 래스터를 반환합니다. SRID를 생략할 경우, 공간 참조 시스템을 0(unknown)으로 설정합니다.';
			
COMMENT ON FUNCTION ST_MakeEmptyRaster(integer , integer , float8 , float8 , float8 ) IS 'args: width, height, upperleftx, upperlefty, pixelsize - 설정된 차원(너비 & 높이), 좌상단 X 및 Y, 픽셀 크기, 회전(scalex, scaley, skewx & skewy) 그리고 공간 참조 시스템(SRID)를 가진 텅 빈 (밴드가 없는) 래스터를 반환합니다. 래스터를 입력할 경우, 동일한 크기, 정렬 방향 및 SRID를 가진 새 래스터를 반환합니다. SRID를 생략할 경우, 공간 참조 시스템을 0(unknown)으로 설정합니다.';
			
COMMENT ON FUNCTION ST_Tile(raster , int[] , integer , integer , boolean , double precision ) IS 'args: rast, nband, width, height, padwithnodata=FALSE, nodataval=NULL - 출력 래스터에 원하는 차원을 바탕으로 입력 래스터를 분할해서 나온 래스터들의 집합을 반환합니다.';
			
COMMENT ON FUNCTION ST_Tile(raster , integer , integer , integer , boolean , double precision ) IS 'args: rast, nband, width, height, padwithnodata=FALSE, nodataval=NULL - 출력 래스터에 원하는 차원을 바탕으로 입력 래스터를 분할해서 나온 래스터들의 집합을 반환합니다.';
			
COMMENT ON FUNCTION ST_Tile(raster , integer , integer , boolean , double precision ) IS 'args: rast, width, height, padwithnodata=FALSE, nodataval=NULL - 출력 래스터에 원하는 차원을 바탕으로 입력 래스터를 분할해서 나온 래스터들의 집합을 반환합니다.';
			
COMMENT ON FUNCTION ST_Retile(regclass , name , geometry , float8 , float8 , int , int , text ) IS 'args: tab, col, ext, sfx, sfy, tw, th, algo=''NearestNeighbor'' - 임의로 타일화된 래스터 커버리지로부터, 설정된 타일들의 집합을 반환합니다.';
			
COMMENT ON FUNCTION ST_FromGDALRaster(bytea , integer ) IS 'args: gdaldata, srid=NULL - 지원 GDAL 래스터 파일로부터 래스터를 반환합니다.';
			
COMMENT ON FUNCTION ST_GeoReference(raster , text ) IS 'args: rast, format=GDAL - 월드(world) 파일에서 흔히 볼 수 있는 지리참조 메타데이터를 GDAL 또는 ESRI 형식으로 반환합니다. 기본값은 GDAL입니다.';
			
COMMENT ON FUNCTION ST_Height(raster ) IS 'args: rast - 래스터의 높이를 픽셀 개수로 반환합니다.';
			
COMMENT ON FUNCTION ST_IsEmpty(raster ) IS 'args: rast - 래스터가 비어 있을 경우 (width = 0, height = 0) 참을 반환합니다. 그렇지 않을 경우 거짓을 반환합니다.';
			
COMMENT ON FUNCTION ST_MemSize(raster ) IS 'args: rast - 래스터가 차지하는 공간의 용량을 (바이트 단위로) 반환합니다.';
			
COMMENT ON FUNCTION ST_MetaData(raster ) IS 'args: rast - 래스터 객체의 픽셀 크기, 회전(skew), 좌상단, 좌하단 등과 같은 기본 메타데이터를 반환합니다.';
			
COMMENT ON FUNCTION ST_NumBands(raster ) IS 'args: rast - 래스터 객체 내부에 있는 밴드들의 개수를 반환합니다.';
			
COMMENT ON FUNCTION ST_PixelHeight(raster ) IS 'args: rast - 픽셀 높이를 공간 참조 시스템의 기하 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_PixelWidth(raster ) IS 'args: rast - 픽셀 너비를 공간 참조 시스템의 기하 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_ScaleX(raster ) IS 'args: rast - 픽셀 너비의 X 요소를 좌표 참조 시스템의 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_ScaleY(raster ) IS 'args: rast - 픽셀 높이의 Y 요소를 좌표 참조 시스템의 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_RasterToWorldCoord(raster , integer , integer ) IS 'args: rast, xcolumn, yrow - 주어진 열과 행에 있는 래스터의 좌상단의 기하학적 X, Y(경도, 위도)를 으로 반환합니다. 열과 행은 1부터 시작합니다.';
			
COMMENT ON FUNCTION ST_RasterToWorldCoordX(raster , integer ) IS 'args: rast, xcolumn - 열과 행에 있는 래스터의 좌상단의 기하학적 X 좌표를 반환합니다. 열과 행의 번호는 1부터 시작합니다.';
			
COMMENT ON FUNCTION ST_RasterToWorldCoordX(raster , integer , integer ) IS 'args: rast, xcolumn, yrow - 열과 행에 있는 래스터의 좌상단의 기하학적 X 좌표를 반환합니다. 열과 행의 번호는 1부터 시작합니다.';
			
COMMENT ON FUNCTION ST_RasterToWorldCoordY(raster , integer ) IS 'args: rast, yrow - 열과 행에 있는 래스터의 좌상단의 기하학적 Y 좌표를 반환합니다. 열과 행의 번호는 1부터 시작합니다.';
			
COMMENT ON FUNCTION ST_RasterToWorldCoordY(raster , integer , integer ) IS 'args: rast, xcolumn, yrow - 열과 행에 있는 래스터의 좌상단의 기하학적 Y 좌표를 반환합니다. 열과 행의 번호는 1부터 시작합니다.';
			
COMMENT ON FUNCTION ST_Rotation(raster) IS 'args: rast - 래스터의 회전각을 라디안으로 반환합니다.';
			
COMMENT ON FUNCTION ST_SkewX(raster ) IS 'args: rast - 지리참조 X 기울기(skew)(또는 회전각 파라미터)를 반환합니다.';
			
COMMENT ON FUNCTION ST_SkewY(raster ) IS 'args: rast - 지리참조 Y 기울기(또는 회전각 파라미터)를 반환합니다.';
			
COMMENT ON FUNCTION ST_SRID(raster ) IS 'args: rast - spatial_ref_sys 테이블에 정의되어 있는, 래스터의 공간 참조 식별자를 반환합니다.';
			
COMMENT ON FUNCTION ST_Summary(raster ) IS 'args: rast - 래스터의 내용을 요약한 텍스트를 반환합니다.';
			
COMMENT ON FUNCTION ST_UpperLeftX(raster ) IS 'args: rast - 래스터의 좌상단 X 좌표를 투영된 공간 참조 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_UpperLeftY(raster ) IS 'args: rast - 래스터의 좌상단 Y 좌표를 투영된 공간 참조 단위로 반환합니다.';
			
COMMENT ON FUNCTION ST_Width(raster ) IS 'args: rast - 래스터의 너비를 픽셀 개수로 반환합니다.';
			
COMMENT ON FUNCTION ST_WorldToRasterCoord(raster , geometry ) IS 'args: rast, pt - 주어진 기하학적 X, Y(경도, 위도)의 좌상단을 열과 행으로 또는 래스터의 공간 참조 좌표 시스템 단위로 표현된 포인트 도형으로 반환합니다.';
			
COMMENT ON FUNCTION ST_WorldToRasterCoord(raster , double precision , double precision ) IS 'args: rast, longitude, latitude - 주어진 기하학적 X, Y(경도, 위도)의 좌상단을 열과 행으로 또는 래스터의 공간 참조 좌표 시스템 단위로 표현된 포인트 도형으로 반환합니다.';
			
COMMENT ON FUNCTION ST_WorldToRasterCoordX(raster , geometry ) IS 'args: rast, pt - 포인트 도형(pt)의 래스터 안의 열 또는 래스터의 월드 공간 참조 시스템 단위로 표현된 X, Y 월드 좌표(xw, yw)를 반환합니다.';
			
COMMENT ON FUNCTION ST_WorldToRasterCoordX(raster , double precision ) IS 'args: rast, xw - 포인트 도형(pt)의 래스터 안의 열 또는 래스터의 월드 공간 참조 시스템 단위로 표현된 X, Y 월드 좌표(xw, yw)를 반환합니다.';
			
COMMENT ON FUNCTION ST_WorldToRasterCoordX(raster , double precision , double precision ) IS 'args: rast, xw, yw - 포인트 도형(pt)의 래스터 안의 열 또는 래스터의 월드 공간 참조 시스템 단위로 표현된 X, Y 월드 좌표(xw, yw)를 반환합니다.';
			
COMMENT ON FUNCTION ST_WorldToRasterCoordY(raster , geometry ) IS 'args: rast, pt - 포인트 도형(pt)의 래스터 안의 행 또는 래스터의 월드 공간 참조 시스템 단위로 표현된 X, Y 월드 좌표(xw, yw)를 반환합니다.';
			
COMMENT ON FUNCTION ST_WorldToRasterCoordY(raster , double precision ) IS 'args: rast, xw - 포인트 도형(pt)의 래스터 안의 행 또는 래스터의 월드 공간 참조 시스템 단위로 표현된 X, Y 월드 좌표(xw, yw)를 반환합니다.';
			
COMMENT ON FUNCTION ST_WorldToRasterCoordY(raster , double precision , double precision ) IS 'args: rast, xw, yw - 포인트 도형(pt)의 래스터 안의 행 또는 래스터의 월드 공간 참조 시스템 단위로 표현된 X, Y 월드 좌표(xw, yw)를 반환합니다.';
			
COMMENT ON FUNCTION ST_BandMetaData(raster , integer ) IS 'args: rast, bandnum=1 - 지정 래스터 밴드에 대한 기본 메타데이터를 반환합니다. 밴드를 지정하지 않을 경우 밴드 1번이라고 가정합니다.';
			
COMMENT ON FUNCTION ST_BandNoDataValue(raster , integer ) IS 'args: rast, bandnum=1 - 입력 밴드에서 NODATA를 나타내는 값을 반환합니다. 어떤 밴드도 지정하지 않을 경우 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_BandIsNoData(raster , integer , boolean ) IS 'args: rast, band, forceChecking=true - 밴드가 NODATA 값만으로 채워져 있을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_BandIsNoData(raster , boolean ) IS 'args: rast, forceChecking=true - 밴드가 NODATA 값만으로 채워져 있을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_BandPath(raster , integer ) IS 'args: rast, bandnum=1 - 파일 시스템에 저장된 밴드를 가리키는 시스템 파일 경로를 반환합니다. bandnum을 설정하지 않을 경우 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_BandPixelType(raster , integer ) IS 'args: rast, bandnum=1 - 입력 밴드의 픽셀 유형을 반환합니다. bandnum을 설정하지 않을 경우 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_HasNoBand(raster , integer ) IS 'args: rast, bandnum=1 - 입력된 밴드 번호에 밴드가 없을 경우 참을 반환합니다. 밴드 번호를 설정하지 않을 경우, 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_PixelAsPolygon(raster , integer , integer ) IS 'args: rast, columnx, rowy - 특정 행 및 열에 대한 픽셀의 경계를 이루는 폴리곤 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_PixelAsPolygons(raster , integer , boolean ) IS 'args: rast, band=1, exclude_nodata_value=TRUE - 래스터 밴드의 모든 픽셀의 경계를 이루는 폴리곤 도형을 각 픽셀의 값과 X, Y 래스터 좌표와 함께 반환합니다.';
			
COMMENT ON FUNCTION ST_PixelAsPoint(raster , integer , integer ) IS 'args: rast, columnx, rowy - 픽셀의 좌상단에 위치하는 포인트 도형을 반환합니다.';
			
COMMENT ON FUNCTION ST_PixelAsPoints(raster , integer , boolean ) IS 'args: rast, band=1, exclude_nodata_value=TRUE - 래스터 밴드의 각 픽셀에 대한 포인트 도형을 각 픽셀의 값 및 X, Y 래스터 좌표와 함께 반환합니다. 포인트 도형의 좌표는 픽셀의 좌상단 좌표입니다.';
			
COMMENT ON FUNCTION ST_PixelAsCentroid(raster , integer , integer ) IS 'args: rast, x, y - 픽셀 하나가 차지하는 면의 중심점(포인트 도형)을 반환합니다.';
			
COMMENT ON FUNCTION ST_PixelAsCentroids(raster , integer , boolean ) IS 'args: rast, band=1, exclude_nodata_value=TRUE - 래스터 밴드의 각 픽셀에 대한 중심점(포인트 도형)을 각 픽셀의 값 및 X, Y 래스터 좌표와 함께 반환합니다. 포인트 도형은 픽셀이 차지하는 면의 중심점입니다.';
			
COMMENT ON FUNCTION ST_Value(raster , geometry , boolean ) IS 'args: rast, pt, exclude_nodata_value=true - 입력 columnx, rowy 픽셀의 입력 밴드의 값, 또는 특정 기하학적 포인트의 밴드의 값을 반환합니다. 밴드 번호는 1부터 시작하며, 따로 지정하지 않을 경우 1로 가정합니다. exclude_nodata_value 를 거짓으로 설정할 경우, nodata 픽셀을 포함한 모든 픽셀이 교차한다고 가정하고 값을 반환합니다. exclude_nodata_value 를 설정하지 않은 경우, 래스터의 메타데이터에서 값을 읽어 들입니다.';
			
COMMENT ON FUNCTION ST_Value(raster , integer , geometry , boolean ) IS 'args: rast, band, pt, exclude_nodata_value=true - 입력 columnx, rowy 픽셀의 입력 밴드의 값, 또는 특정 기하학적 포인트의 밴드의 값을 반환합니다. 밴드 번호는 1부터 시작하며, 따로 지정하지 않을 경우 1로 가정합니다. exclude_nodata_value 를 거짓으로 설정할 경우, nodata 픽셀을 포함한 모든 픽셀이 교차한다고 가정하고 값을 반환합니다. exclude_nodata_value 를 설정하지 않은 경우, 래스터의 메타데이터에서 값을 읽어 들입니다.';
			
COMMENT ON FUNCTION ST_Value(raster , integer , integer , boolean ) IS 'args: rast, x, y, exclude_nodata_value=true - 입력 columnx, rowy 픽셀의 입력 밴드의 값, 또는 특정 기하학적 포인트의 밴드의 값을 반환합니다. 밴드 번호는 1부터 시작하며, 따로 지정하지 않을 경우 1로 가정합니다. exclude_nodata_value 를 거짓으로 설정할 경우, nodata 픽셀을 포함한 모든 픽셀이 교차한다고 가정하고 값을 반환합니다. exclude_nodata_value 를 설정하지 않은 경우, 래스터의 메타데이터에서 값을 읽어 들입니다.';
			
COMMENT ON FUNCTION ST_Value(raster , integer , integer , integer , boolean ) IS 'args: rast, band, x, y, exclude_nodata_value=true - 입력 columnx, rowy 픽셀의 입력 밴드의 값, 또는 특정 기하학적 포인트의 밴드의 값을 반환합니다. 밴드 번호는 1부터 시작하며, 따로 지정하지 않을 경우 1로 가정합니다. exclude_nodata_value 를 거짓으로 설정할 경우, nodata 픽셀을 포함한 모든 픽셀이 교차한다고 가정하고 값을 반환합니다. exclude_nodata_value 를 설정하지 않은 경우, 래스터의 메타데이터에서 값을 읽어 들입니다.';
			
COMMENT ON FUNCTION ST_NearestValue(raster , integer , geometry , boolean ) IS 'args: rast, bandnum, pt, exclude_nodata_value=true - columnx 및 rowy, 또는 래스터와 동일한 공간 참조 좌표 시스템 단위로 표현된 기하학적 포인트로 지정된 입력 밴드의 픽셀에 가장 가까운 NODATA 가 아닌 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_NearestValue(raster , geometry , boolean ) IS 'args: rast, pt, exclude_nodata_value=true - columnx 및 rowy, 또는 래스터와 동일한 공간 참조 좌표 시스템 단위로 표현된 기하학적 포인트로 지정된 입력 밴드의 픽셀에 가장 가까운 NODATA 가 아닌 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_NearestValue(raster , integer , integer , integer , boolean ) IS 'args: rast, bandnum, columnx, rowy, exclude_nodata_value=true - columnx 및 rowy, 또는 래스터와 동일한 공간 참조 좌표 시스템 단위로 표현된 기하학적 포인트로 지정된 입력 밴드의 픽셀에 가장 가까운 NODATA 가 아닌 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_NearestValue(raster , integer , integer , boolean ) IS 'args: rast, columnx, rowy, exclude_nodata_value=true - columnx 및 rowy, 또는 래스터와 동일한 공간 참조 좌표 시스템 단위로 표현된 기하학적 포인트로 지정된 입력 밴드의 픽셀에 가장 가까운 NODATA 가 아닌 값을 반환합니다.';
			
COMMENT ON FUNCTION ST_Neighborhood(raster , integer , integer , integer , integer , integer , boolean ) IS 'args: rast, bandnum, columnX, rowY, distanceX, distanceY, exclude_nodata_value=true - columnx 및 rowy, 또는 래스터와 동일한 공간 참조 좌표 시스템 단위로 표현된 기하학적 포인트로 지정된 입력 밴드의 픽셀 주위의 NODATA 가 아닌 값들의 이중 정밀도 데이터형 2차원 배열을 반환합니다.';
			
COMMENT ON FUNCTION ST_Neighborhood(raster , integer , integer , integer , integer , boolean ) IS 'args: rast, columnX, rowY, distanceX, distanceY, exclude_nodata_value=true - columnx 및 rowy, 또는 래스터와 동일한 공간 참조 좌표 시스템 단위로 표현된 기하학적 포인트로 지정된 입력 밴드의 픽셀 주위의 NODATA 가 아닌 값들의 이중 정밀도 데이터형 2차원 배열을 반환합니다.';
			
COMMENT ON FUNCTION ST_Neighborhood(raster , integer , geometry , integer , integer , boolean ) IS 'args: rast, bandnum, pt, distanceX, distanceY, exclude_nodata_value=true - columnx 및 rowy, 또는 래스터와 동일한 공간 참조 좌표 시스템 단위로 표현된 기하학적 포인트로 지정된 입력 밴드의 픽셀 주위의 NODATA 가 아닌 값들의 이중 정밀도 데이터형 2차원 배열을 반환합니다.';
			
COMMENT ON FUNCTION ST_Neighborhood(raster , geometry , integer , integer , boolean ) IS 'args: rast, pt, distanceX, distanceY, exclude_nodata_value=true - columnx 및 rowy, 또는 래스터와 동일한 공간 참조 좌표 시스템 단위로 표현된 기하학적 포인트로 지정된 입력 밴드의 픽셀 주위의 NODATA 가 아닌 값들의 이중 정밀도 데이터형 2차원 배열을 반환합니다.';
			
COMMENT ON FUNCTION ST_SetValue(raster , integer , geometry , double precision ) IS 'args: rast, bandnum, geom, newvalue - 입력한 columnx, rowy 픽셀 또는 특정 도형과 교차하는 픽셀들의 위치의 밴드 값을 설정해서 나온 수정된 래스터를 반환합니다. 밴드 번호는 1부터 시작하며, 따로 설정하지 않을 경우 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_SetValue(raster , geometry , double precision ) IS 'args: rast, geom, newvalue - 입력한 columnx, rowy 픽셀 또는 특정 도형과 교차하는 픽셀들의 위치의 밴드 값을 설정해서 나온 수정된 래스터를 반환합니다. 밴드 번호는 1부터 시작하며, 따로 설정하지 않을 경우 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_SetValue(raster , integer , integer , integer , double precision ) IS 'args: rast, bandnum, columnx, rowy, newvalue - 입력한 columnx, rowy 픽셀 또는 특정 도형과 교차하는 픽셀들의 위치의 밴드 값을 설정해서 나온 수정된 래스터를 반환합니다. 밴드 번호는 1부터 시작하며, 따로 설정하지 않을 경우 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_SetValue(raster , integer , integer , double precision ) IS 'args: rast, columnx, rowy, newvalue - 입력한 columnx, rowy 픽셀 또는 특정 도형과 교차하는 픽셀들의 위치의 밴드 값을 설정해서 나온 수정된 래스터를 반환합니다. 밴드 번호는 1부터 시작하며, 따로 설정하지 않을 경우 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_SetValues(raster , integer , integer , integer , double precision[][] , boolean[][] , boolean ) IS 'args: rast, nband, columnx, rowy, newvalueset, noset=NULL, keepnodata=FALSE - 지정한 밴드의 값들을 설정해서 나온 수정된 래스터를 반환합니다.';
			
COMMENT ON FUNCTION ST_SetValues(raster , integer , integer , integer , double precision[][] , double precision , boolean ) IS 'args: rast, nband, columnx, rowy, newvalueset, nosetvalue, keepnodata=FALSE - 지정한 밴드의 값들을 설정해서 나온 수정된 래스터를 반환합니다.';
			
COMMENT ON FUNCTION ST_SetValues(raster , integer , integer , integer , integer , integer , double precision , boolean ) IS 'args: rast, nband, columnx, rowy, width, height, newvalue, keepnodata=FALSE - 지정한 밴드의 값들을 설정해서 나온 수정된 래스터를 반환합니다.';
			
COMMENT ON FUNCTION ST_SetValues(raster , integer , integer , integer , integer , double precision , boolean ) IS 'args: rast, columnx, rowy, width, height, newvalue, keepnodata=FALSE - 지정한 밴드의 값들을 설정해서 나온 수정된 래스터를 반환합니다.';
			
COMMENT ON FUNCTION ST_SetValues(raster , integer , geomval[] , boolean ) IS 'args: rast, nband, geomvalset, keepnodata=FALSE - 지정한 밴드의 값들을 설정해서 나온 수정된 래스터를 반환합니다.';
			
COMMENT ON FUNCTION ST_DumpValues(raster , integer[] , boolean ) IS 'args: rast, nband=NULL, exclude_nodata_value=true - 지정된 밴드의 값들을 2차원 배열로 반환합니다.';
			
COMMENT ON FUNCTION ST_DumpValues(raster , integer , boolean ) IS 'args: rast, nband, exclude_nodata_value=true - 지정된 밴드의 값들을 2차원 배열로 반환합니다.';
			
COMMENT ON FUNCTION ST_PixelOfValue(raster , integer , double precision[] , boolean ) IS 'args: rast, nband, search, exclude_nodata_value=true - 검색 값과 일치하는 값을 가진 픽셀의 columnx, rowy 좌표를 반환합니다.';
			
COMMENT ON FUNCTION ST_PixelOfValue(raster , double precision[] , boolean ) IS 'args: rast, search, exclude_nodata_value=true - 검색 값과 일치하는 값을 가진 픽셀의 columnx, rowy 좌표를 반환합니다.';
			
COMMENT ON FUNCTION ST_PixelOfValue(raster , integer , double precision , boolean ) IS 'args: rast, nband, search, exclude_nodata_value=true - 검색 값과 일치하는 값을 가진 픽셀의 columnx, rowy 좌표를 반환합니다.';
			
COMMENT ON FUNCTION ST_PixelOfValue(raster , double precision , boolean ) IS 'args: rast, search, exclude_nodata_value=true - 검색 값과 일치하는 값을 가진 픽셀의 columnx, rowy 좌표를 반환합니다.';
			
COMMENT ON FUNCTION ST_SetGeoReference(raster , text , text ) IS 'args: rast, georefcoords, format=GDAL - 단일 호출로 지리참조 파라미터 6개를 설정합니다. 숫자를 공백으로 구분해야 합니다. GDAL 또는 ESRI 서식의 입력물을 받아들입니다. 기본값은 GDAL입니다.';
			
COMMENT ON FUNCTION ST_SetGeoReference(raster , double precision , double precision , double precision , double precision , double precision , double precision ) IS 'args: rast, upperleftx, upperlefty, scalex, scaley, skewx, skewy - 단일 호출로 지리참조 파라미터 6개를 설정합니다. 숫자를 공백으로 구분해야 합니다. GDAL 또는 ESRI 서식의 입력물을 받아들입니다. 기본값은 GDAL입니다.';
			
COMMENT ON FUNCTION ST_SetRotation(raster, float8) IS 'args: rast, rotation - 래스터의 회전각을 라디안으로 설정합니다.';
			
COMMENT ON FUNCTION ST_SetScale(raster , float8 ) IS 'args: rast, xy - X 및 Y 픽셀 크기를 좌표 참조 시스템의 단위로 설정합니다. 단위/픽셀 너비/픽셀 높이 순서입니다.';
			
COMMENT ON FUNCTION ST_SetScale(raster , float8 , float8 ) IS 'args: rast, x, y - X 및 Y 픽셀 크기를 좌표 참조 시스템의 단위로 설정합니다. 단위/픽셀 너비/픽셀 높이 순서입니다.';
			
COMMENT ON FUNCTION ST_SetSkew(raster , float8 ) IS 'args: rast, skewxy - 지리참조 X 및 Y 기울기(skew)(또는 회전각 파라미터)를 설정합니다. 값 하나만 입력할 경우, X와 Y를 동일한 값으로 설정합니다.';
			
COMMENT ON FUNCTION ST_SetSkew(raster , float8 , float8 ) IS 'args: rast, skewx, skewy - 지리참조 X 및 Y 기울기(skew)(또는 회전각 파라미터)를 설정합니다. 값 하나만 입력할 경우, X와 Y를 동일한 값으로 설정합니다.';
			
COMMENT ON FUNCTION ST_SetSRID(raster , integer ) IS 'args: rast, srid - 래스터의 SRID를 spatial_ref_sys 테이블에 정의된 특정 SRID의 정수값으로 설정합니다.';
			
COMMENT ON FUNCTION ST_SetUpperLeft(raster , double precision , double precision ) IS 'args: rast, x, y - 픽셀 좌상단의 값을 투영된 X, Y좌표로 설정합니다.';
			
COMMENT ON FUNCTION ST_Resample(raster , integer , integer , double precision , double precision , double precision , double precision , text , double precision ) IS 'args: rast, width, height, gridx=NULL, gridy=NULL, skewx=0, skewy=0, algorithm=NearestNeighbour, maxerr=0.125 - 특정 리샘플링 알고리즘, 새로운 차원, 임의의 그리드 모서리, 그리고 또 다른 래스터에서 정의되거나 빌려온 래스터 지리참조 속성들의 집합을 이용해서 래스터를 리샘플링합니다.';
			
COMMENT ON FUNCTION ST_Resample(raster , double precision , double precision , double precision , double precision , double precision , double precision , text , double precision ) IS 'args: rast, scalex=0, scaley=0, gridx=NULL, gridy=NULL, skewx=0, skewy=0, algorithm=NearestNeighbor, maxerr=0.125 - 특정 리샘플링 알고리즘, 새로운 차원, 임의의 그리드 모서리, 그리고 또 다른 래스터에서 정의되거나 빌려온 래스터 지리참조 속성들의 집합을 이용해서 래스터를 리샘플링합니다.';
			
COMMENT ON FUNCTION ST_Resample(raster , raster , text , double precision , boolean ) IS 'args: rast, ref, algorithm=NearestNeighbour, maxerr=0.125, usescale=true - 특정 리샘플링 알고리즘, 새로운 차원, 임의의 그리드 모서리, 그리고 또 다른 래스터에서 정의되거나 빌려온 래스터 지리참조 속성들의 집합을 이용해서 래스터를 리샘플링합니다.';
			
COMMENT ON FUNCTION ST_Resample(raster , raster , boolean , text , double precision ) IS 'args: rast, ref, usescale, algorithm=NearestNeighbour, maxerr=0.125 - 특정 리샘플링 알고리즘, 새로운 차원, 임의의 그리드 모서리, 그리고 또 다른 래스터에서 정의되거나 빌려온 래스터 지리참조 속성들의 집합을 이용해서 래스터를 리샘플링합니다.';
			
COMMENT ON FUNCTION ST_Rescale(raster , double precision , text , double precision ) IS 'args: rast, scalexy, algorithm=NearestNeighbour, maxerr=0.125 - 축척(또는 픽셀 크기)만 조정해서 래스터를 리샘플링합니다. NearestNeighbor(영국 또는 미국 철자), Bilinear, Cubic, CubicSpline 또는 Lanczos 리샘플링 알고리즘을 이용해서 새 픽셀 값을 계산합니다. 기본값은 NearestNeighbor입니다.';
			
COMMENT ON FUNCTION ST_Rescale(raster , double precision , double precision , text , double precision ) IS 'args: rast, scalex, scaley, algorithm=NearestNeighbour, maxerr=0.125 - 축척(또는 픽셀 크기)만 조정해서 래스터를 리샘플링합니다. NearestNeighbor(영국 또는 미국 철자), Bilinear, Cubic, CubicSpline 또는 Lanczos 리샘플링 알고리즘을 이용해서 새 픽셀 값을 계산합니다. 기본값은 NearestNeighbor입니다.';
			
COMMENT ON FUNCTION ST_Reskew(raster , double precision , text , double precision ) IS 'args: rast, skewxy, algorithm=NearestNeighbour, maxerr=0.125 - 기울기(또는 회전각 파라미터)만 조정해서 래스터를 리샘플링합니다. NearestNeighbor(영국 또는 미국 철자), Bilinear, Cubic, CubicSpline 또는 Lanczos 리샘플링 알고리즘을 이용해서 새 픽셀 값을 계산합니다. 기본값은 NearestNeighbor입니다.';
			
COMMENT ON FUNCTION ST_Reskew(raster , double precision , double precision , text , double precision ) IS 'args: rast, skewx, skewy, algorithm=NearestNeighbour, maxerr=0.125 - 기울기(또는 회전각 파라미터)만 조정해서 래스터를 리샘플링합니다. NearestNeighbor(영국 또는 미국 철자), Bilinear, Cubic, CubicSpline 또는 Lanczos 리샘플링 알고리즘을 이용해서 새 픽셀 값을 계산합니다. 기본값은 NearestNeighbor입니다.';
			
COMMENT ON FUNCTION ST_SnapToGrid(raster , double precision , double precision , text , double precision , double precision , double precision ) IS 'args: rast, gridx, gridy, algorithm=NearestNeighbour, maxerr=0.125, scalex=DEFAULT 0, scaley=DEFAULT 0 - 그리드에 래스터를 스냅시켜서 래스터를 리샘플링합니다. NearestNeighbor(영국 또는 미국 철자), Bilinear, Cubic, CubicSpline 또는 Lanczos 리샘플링 알고리즘을 이용해서 새 픽셀 값을 계산합니다. 기본값은 NearestNeighbor입니다.';
			
COMMENT ON FUNCTION ST_SnapToGrid(raster , double precision , double precision , double precision , double precision , text , double precision ) IS 'args: rast, gridx, gridy, scalex, scaley, algorithm=NearestNeighbour, maxerr=0.125 - 그리드에 래스터를 스냅시켜서 래스터를 리샘플링합니다. NearestNeighbor(영국 또는 미국 철자), Bilinear, Cubic, CubicSpline 또는 Lanczos 리샘플링 알고리즘을 이용해서 새 픽셀 값을 계산합니다. 기본값은 NearestNeighbor입니다.';
			
COMMENT ON FUNCTION ST_SnapToGrid(raster , double precision , double precision , double precision , text , double precision ) IS 'args: rast, gridx, gridy, scalexy, algorithm=NearestNeighbour, maxerr=0.125 - 그리드에 래스터를 스냅시켜서 래스터를 리샘플링합니다. NearestNeighbor(영국 또는 미국 철자), Bilinear, Cubic, CubicSpline 또는 Lanczos 리샘플링 알고리즘을 이용해서 새 픽셀 값을 계산합니다. 기본값은 NearestNeighbor입니다.';
			
COMMENT ON FUNCTION ST_Resize(raster , integer , integer , text , double precision ) IS 'args: rast, width, height, algorithm=NearestNeighbor, maxerr=0.125 - 래스터의 크기를 새 너비/높이로 조정합니다.';
			
COMMENT ON FUNCTION ST_Resize(raster , double precision , double precision , text , double precision ) IS 'args: rast, percentwidth, percentheight, algorithm=NearestNeighbor, maxerr=0.125 - 래스터의 크기를 새 너비/높이로 조정합니다.';
			
COMMENT ON FUNCTION ST_Resize(raster , text , text , text , double precision ) IS 'args: rast, width, height, algorithm=NearestNeighbor, maxerr=0.125 - 래스터의 크기를 새 너비/높이로 조정합니다.';
			
COMMENT ON FUNCTION ST_Transform(raster , integer , text , double precision , double precision , double precision ) IS 'args: rast, srid, algorithm=NearestNeighbor, maxerr=0.125, scalex, scaley - 알려진 공간 참조 시스템의 래스터를 지정한 리샘플링 알고리즘을 통해 또 다른 알려진 공간 참조 시스템으로 재투영합니다. NearestNeighbor, Bilinear, Cubic, CubicSpline, Lanczos 알고리즘을 이용할 수 있습니다. 기본값은 NearestNeighbor입니다.';
			
COMMENT ON FUNCTION ST_Transform(raster , integer , double precision , double precision , text , double precision ) IS 'args: rast, srid, scalex, scaley, algorithm=NearestNeighbor, maxerr=0.125 - 알려진 공간 참조 시스템의 래스터를 지정한 리샘플링 알고리즘을 통해 또 다른 알려진 공간 참조 시스템으로 재투영합니다. NearestNeighbor, Bilinear, Cubic, CubicSpline, Lanczos 알고리즘을 이용할 수 있습니다. 기본값은 NearestNeighbor입니다.';
			
COMMENT ON FUNCTION ST_Transform(raster , raster , text , double precision ) IS 'args: rast, alignto, algorithm=NearestNeighbor, maxerr=0.125 - 알려진 공간 참조 시스템의 래스터를 지정한 리샘플링 알고리즘을 통해 또 다른 알려진 공간 참조 시스템으로 재투영합니다. NearestNeighbor, Bilinear, Cubic, CubicSpline, Lanczos 알고리즘을 이용할 수 있습니다. 기본값은 NearestNeighbor입니다.';
			
COMMENT ON FUNCTION ST_SetBandNoDataValue(raster , double precision ) IS 'args: rast, nodatavalue - NODATA를 나타내는 입력 밴드의 값을 설정합니다. 밴드를 따로 설정하지 않을 경우 밴드 1로 가정합니다. 밴드에 NODATA가 없다고 표시하려면, nodata value = NULL이라고 설정하십시오.';
			
COMMENT ON FUNCTION ST_SetBandNoDataValue(raster , integer , double precision , boolean ) IS 'args: rast, band, nodatavalue, forcechecking=false - NODATA를 나타내는 입력 밴드의 값을 설정합니다. 밴드를 따로 설정하지 않을 경우 밴드 1로 가정합니다. 밴드에 NODATA가 없다고 표시하려면, nodata value = NULL이라고 설정하십시오.';
			
COMMENT ON FUNCTION ST_SetBandIsNoData(raster , integer ) IS 'args: rast, band=1 - 밴드의 isnodata 플래그를 참으로 설정합니다.';
			
COMMENT ON FUNCTION ST_Count(raster , integer , boolean ) IS 'args: rast, nband=1, exclude_nodata_value=true - 래스터 또는 래스터 커버리지의 입력 밴드에 있는 픽셀 개수를 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. exclude_nodata_value를 참으로 설정할 경우, NODATA 값이 아닌 픽셀의 개수만 반환할 것입니다.';
			
COMMENT ON FUNCTION ST_Count(raster , boolean ) IS 'args: rast, exclude_nodata_value - 래스터 또는 래스터 커버리지의 입력 밴드에 있는 픽셀 개수를 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. exclude_nodata_value를 참으로 설정할 경우, NODATA 값이 아닌 픽셀의 개수만 반환할 것입니다.';
			
COMMENT ON FUNCTION ST_Count(text , text , integer , boolean ) IS 'args: rastertable, rastercolumn, nband=1, exclude_nodata_value=true - 래스터 또는 래스터 커버리지의 입력 밴드에 있는 픽셀 개수를 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. exclude_nodata_value를 참으로 설정할 경우, NODATA 값이 아닌 픽셀의 개수만 반환할 것입니다.';
			
COMMENT ON FUNCTION ST_Count(text , text , boolean ) IS 'args: rastertable, rastercolumn, exclude_nodata_value - 래스터 또는 래스터 커버리지의 입력 밴드에 있는 픽셀 개수를 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. exclude_nodata_value를 참으로 설정할 경우, NODATA 값이 아닌 픽셀의 개수만 반환할 것입니다.';
			
COMMENT ON FUNCTION ST_CountAgg(raster , integer , boolean , double precision ) IS 'args: rast, nband, exclude_nodata_value, sample_percent - 종합 함수입니다. 래스터 집합의 입력 밴드에 있는 픽셀 개수를 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. exclude_nodata_value를 참으로 설정할 경우, NODATA 값이 아닌 픽셀의 개수만 반환할 것입니다.';
			
COMMENT ON FUNCTION ST_CountAgg(raster , integer , boolean ) IS 'args: rast, nband, exclude_nodata_value - 종합 함수입니다. 래스터 집합의 입력 밴드에 있는 픽셀 개수를 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. exclude_nodata_value를 참으로 설정할 경우, NODATA 값이 아닌 픽셀의 개수만 반환할 것입니다.';
			
COMMENT ON FUNCTION ST_CountAgg(raster , boolean ) IS 'args: rast, exclude_nodata_value - 종합 함수입니다. 래스터 집합의 입력 밴드에 있는 픽셀 개수를 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. exclude_nodata_value를 참으로 설정할 경우, NODATA 값이 아닌 픽셀의 개수만 반환할 것입니다.';
			
COMMENT ON FUNCTION ST_Histogram(raster , integer , boolean , integer , double precision[] , boolean ) IS 'args: rast, nband=1, exclude_nodata_value=true, bins=autocomputed, width=NULL, right=false - 빈(bin; 히스토그램 표시에서 수직 막대로 나타나는 단위) 범위로 구분된 래스터 또는 래스터 커버리지의 데이터 분포를 요약하는 레코드 집합을 반환합니다. 따로 설정하지 않을 경우 빈의 개수를 자동으로 계산합니다.';
			
COMMENT ON FUNCTION ST_Histogram(raster , integer , integer , double precision[] , boolean ) IS 'args: rast, nband, bins, width=NULL, right=false - 빈(bin; 히스토그램 표시에서 수직 막대로 나타나는 단위) 범위로 구분된 래스터 또는 래스터 커버리지의 데이터 분포를 요약하는 레코드 집합을 반환합니다. 따로 설정하지 않을 경우 빈의 개수를 자동으로 계산합니다.';
			
COMMENT ON FUNCTION ST_Histogram(raster , integer , boolean , integer , boolean ) IS 'args: rast, nband, exclude_nodata_value, bins, right - 빈(bin; 히스토그램 표시에서 수직 막대로 나타나는 단위) 범위로 구분된 래스터 또는 래스터 커버리지의 데이터 분포를 요약하는 레코드 집합을 반환합니다. 따로 설정하지 않을 경우 빈의 개수를 자동으로 계산합니다.';
			
COMMENT ON FUNCTION ST_Histogram(raster , integer , integer , boolean ) IS 'args: rast, nband, bins, right - 빈(bin; 히스토그램 표시에서 수직 막대로 나타나는 단위) 범위로 구분된 래스터 또는 래스터 커버리지의 데이터 분포를 요약하는 레코드 집합을 반환합니다. 따로 설정하지 않을 경우 빈의 개수를 자동으로 계산합니다.';
			
COMMENT ON FUNCTION ST_Histogram(text , text , integer , integer , boolean ) IS 'args: rastertable, rastercolumn, nband, bins, right - 빈(bin; 히스토그램 표시에서 수직 막대로 나타나는 단위) 범위로 구분된 래스터 또는 래스터 커버리지의 데이터 분포를 요약하는 레코드 집합을 반환합니다. 따로 설정하지 않을 경우 빈의 개수를 자동으로 계산합니다.';
			
COMMENT ON FUNCTION ST_Histogram(text , text , integer , boolean , integer , boolean ) IS 'args: rastertable, rastercolumn, nband, exclude_nodata_value, bins, right - 빈(bin; 히스토그램 표시에서 수직 막대로 나타나는 단위) 범위로 구분된 래스터 또는 래스터 커버리지의 데이터 분포를 요약하는 레코드 집합을 반환합니다. 따로 설정하지 않을 경우 빈의 개수를 자동으로 계산합니다.';
			
COMMENT ON FUNCTION ST_Histogram(text , text , integer , boolean , integer , double precision[] , boolean ) IS 'args: rastertable, rastercolumn, nband=1, exclude_nodata_value=true, bins=autocomputed, width=NULL, right=false - 빈(bin; 히스토그램 표시에서 수직 막대로 나타나는 단위) 범위로 구분된 래스터 또는 래스터 커버리지의 데이터 분포를 요약하는 레코드 집합을 반환합니다. 따로 설정하지 않을 경우 빈의 개수를 자동으로 계산합니다.';
			
COMMENT ON FUNCTION ST_Histogram(text , text , integer , integer , double precision[] , boolean ) IS 'args: rastertable, rastercolumn, nband=1, bins, width=NULL, right=false - 빈(bin; 히스토그램 표시에서 수직 막대로 나타나는 단위) 범위로 구분된 래스터 또는 래스터 커버리지의 데이터 분포를 요약하는 레코드 집합을 반환합니다. 따로 설정하지 않을 경우 빈의 개수를 자동으로 계산합니다.';
			
COMMENT ON FUNCTION ST_Quantile(raster , integer , boolean , double precision[] ) IS 'args: rast, nband=1, exclude_nodata_value=true, quantiles=NULL - 샘플링 또는 채우기(population)라는 맥락에서 래스터 또는 래스터 테이블 커버리지의 사분위(quantile)를 계산합니다. 따라서, 래스터의 25%, 50%, 75% 백분위(percentile) 단계로 값을 확인할 수 있습니다.';
			
COMMENT ON FUNCTION ST_Quantile(raster , double precision[] ) IS 'args: rast, quantiles - 샘플링 또는 채우기(population)라는 맥락에서 래스터 또는 래스터 테이블 커버리지의 사분위(quantile)를 계산합니다. 따라서, 래스터의 25%, 50%, 75% 백분위(percentile) 단계로 값을 확인할 수 있습니다.';
			
COMMENT ON FUNCTION ST_Quantile(raster , integer , double precision[] ) IS 'args: rast, nband, quantiles - 샘플링 또는 채우기(population)라는 맥락에서 래스터 또는 래스터 테이블 커버리지의 사분위(quantile)를 계산합니다. 따라서, 래스터의 25%, 50%, 75% 백분위(percentile) 단계로 값을 확인할 수 있습니다.';
			
COMMENT ON FUNCTION ST_Quantile(raster , double precision ) IS 'args: rast, quantile - 샘플링 또는 채우기(population)라는 맥락에서 래스터 또는 래스터 테이블 커버리지의 사분위(quantile)를 계산합니다. 따라서, 래스터의 25%, 50%, 75% 백분위(percentile) 단계로 값을 확인할 수 있습니다.';
			
COMMENT ON FUNCTION ST_Quantile(raster , boolean , double precision ) IS 'args: rast, exclude_nodata_value, quantile=NULL - 샘플링 또는 채우기(population)라는 맥락에서 래스터 또는 래스터 테이블 커버리지의 사분위(quantile)를 계산합니다. 따라서, 래스터의 25%, 50%, 75% 백분위(percentile) 단계로 값을 확인할 수 있습니다.';
			
COMMENT ON FUNCTION ST_Quantile(raster , integer , double precision ) IS 'args: rast, nband, quantile - 샘플링 또는 채우기(population)라는 맥락에서 래스터 또는 래스터 테이블 커버리지의 사분위(quantile)를 계산합니다. 따라서, 래스터의 25%, 50%, 75% 백분위(percentile) 단계로 값을 확인할 수 있습니다.';
			
COMMENT ON FUNCTION ST_Quantile(raster , integer , boolean , double precision ) IS 'args: rast, nband, exclude_nodata_value, quantile - 샘플링 또는 채우기(population)라는 맥락에서 래스터 또는 래스터 테이블 커버리지의 사분위(quantile)를 계산합니다. 따라서, 래스터의 25%, 50%, 75% 백분위(percentile) 단계로 값을 확인할 수 있습니다.';
			
COMMENT ON FUNCTION ST_Quantile(raster , integer , double precision ) IS 'args: rast, nband, quantile - 샘플링 또는 채우기(population)라는 맥락에서 래스터 또는 래스터 테이블 커버리지의 사분위(quantile)를 계산합니다. 따라서, 래스터의 25%, 50%, 75% 백분위(percentile) 단계로 값을 확인할 수 있습니다.';
			
COMMENT ON FUNCTION ST_Quantile(text , text , integer , boolean , double precision[] ) IS 'args: rastertable, rastercolumn, nband=1, exclude_nodata_value=true, quantiles=NULL - 샘플링 또는 채우기(population)라는 맥락에서 래스터 또는 래스터 테이블 커버리지의 사분위(quantile)를 계산합니다. 따라서, 래스터의 25%, 50%, 75% 백분위(percentile) 단계로 값을 확인할 수 있습니다.';
			
COMMENT ON FUNCTION ST_Quantile(text , text , integer , double precision[] ) IS 'args: rastertable, rastercolumn, nband, quantiles - 샘플링 또는 채우기(population)라는 맥락에서 래스터 또는 래스터 테이블 커버리지의 사분위(quantile)를 계산합니다. 따라서, 래스터의 25%, 50%, 75% 백분위(percentile) 단계로 값을 확인할 수 있습니다.';
			
COMMENT ON FUNCTION ST_SummaryStats(raster , boolean ) IS 'args: rast, exclude_nodata_value - 입력한 래스터 밴드 또는 래스터 또는 래스터 커버리지의 count, sum, mean, stddev, min, max로 이루어진 통계 요약을 반환합니다. 밴드를 따로 설정하지 않을 경우 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_SummaryStats(raster , integer , boolean ) IS 'args: rast, nband, exclude_nodata_value - 입력한 래스터 밴드 또는 래스터 또는 래스터 커버리지의 count, sum, mean, stddev, min, max로 이루어진 통계 요약을 반환합니다. 밴드를 따로 설정하지 않을 경우 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_SummaryStats(text , text , boolean ) IS 'args: rastertable, rastercolumn, exclude_nodata_value - 입력한 래스터 밴드 또는 래스터 또는 래스터 커버리지의 count, sum, mean, stddev, min, max로 이루어진 통계 요약을 반환합니다. 밴드를 따로 설정하지 않을 경우 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_SummaryStats(text , text , integer , boolean ) IS 'args: rastertable, rastercolumn, nband=1, exclude_nodata_value=true - 입력한 래스터 밴드 또는 래스터 또는 래스터 커버리지의 count, sum, mean, stddev, min, max로 이루어진 통계 요약을 반환합니다. 밴드를 따로 설정하지 않을 경우 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_SummaryStatsAgg(raster , integer , boolean , double precision ) IS 'args: rast, nband, exclude_nodata_value, sample_percent - 종합 함수입니다. 래스터 집합의 입력 래스터 밴드의 count, sum, mean, stddev, min, max로 이루어진 통계 요약을 반환합니다. 밴드를 따로 설정하지 않을 경우 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_SummaryStatsAgg(raster , boolean , double precision ) IS 'args: rast, exclude_nodata_value, sample_percent - 종합 함수입니다. 래스터 집합의 입력 래스터 밴드의 count, sum, mean, stddev, min, max로 이루어진 통계 요약을 반환합니다. 밴드를 따로 설정하지 않을 경우 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_SummaryStatsAgg(raster , integer , boolean ) IS 'args: rast, nband, exclude_nodata_value - 종합 함수입니다. 래스터 집합의 입력 래스터 밴드의 count, sum, mean, stddev, min, max로 이루어진 통계 요약을 반환합니다. 밴드를 따로 설정하지 않을 경우 밴드 1로 가정합니다.';
			
COMMENT ON FUNCTION ST_ValueCount(raster , integer , boolean , double precision[] , double precision ) IS 'args: rast, nband=1, exclude_nodata_value=true, searchvalues=NULL, roundto=0, OUT value, OUT count - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(raster , integer , double precision[] , double precision ) IS 'args: rast, nband, searchvalues, roundto=0, OUT value, OUT count - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(raster , double precision[] , double precision ) IS 'args: rast, searchvalues, roundto=0, OUT value, OUT count - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(raster , double precision , double precision ) IS 'args: rast, searchvalue, roundto=0 - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(raster , integer , boolean , double precision , double precision ) IS 'args: rast, nband, exclude_nodata_value, searchvalue, roundto=0 - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(raster , integer , double precision , double precision ) IS 'args: rast, nband, searchvalue, roundto=0 - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(text , text , integer , boolean , double precision[] , double precision ) IS 'args: rastertable, rastercolumn, nband=1, exclude_nodata_value=true, searchvalues=NULL, roundto=0, OUT value, OUT count - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(text , text , double precision[] , double precision ) IS 'args: rastertable, rastercolumn, searchvalues, roundto=0, OUT value, OUT count - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(text , text , integer , double precision[] , double precision ) IS 'args: rastertable, rastercolumn, nband, searchvalues, roundto=0, OUT value, OUT count - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(text , text , integer , boolean , double precision , double precision ) IS 'args: rastertable, rastercolumn, nband, exclude_nodata_value, searchvalue, roundto=0 - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(text , text , double precision , double precision ) IS 'args: rastertable, rastercolumn, searchvalue, roundto=0 - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_ValueCount(text , text , integer , double precision , double precision ) IS 'args: rastertable, rastercolumn, nband, searchvalue, roundto=0 - 설정한 값들의 집합을 가진 래스터(또는 래스터 커버리지)의 입력 밴드에 있는 픽셀 밴드 값 및 픽셀 개수의 집계를 담고 있는 레코드 집합을 반환합니다. 밴드를 따로 설정하지 않을 경우 기본값은 밴드 1입니다. 기본적으로 NODATA 값은 집계되지 않습니다. 픽셀의 다른 모든 값들을 출력하는데, 픽셀 밴드 값은 가장 가까운 정수로 반올림됩니다.';
			
COMMENT ON FUNCTION ST_AsBinary(raster , boolean ) IS 'args: rast, outasin=FALSE - 래스터의 WKB(Well-Known Binary) 표현식을 SRID 메타데이터 없이 반환합니다.';
			
COMMENT ON FUNCTION ST_AsGDALRaster(raster , text , text[] , integer ) IS 'args: rast, format, options=NULL, srid=sameassource - 래스터 타일을 지정한 GDAL 래스터 형식으로 반환합니다. 래스터 형식이란 사용자가 컴파일한 라이브러리가 지원하는 형식들 가운데 하나입니다. 사용자 라이브러리가 지원하는 형식들의 목록을 보려면 ST_GDALRasters() 함수를 이용하십시오.';
			
COMMENT ON FUNCTION ST_AsJPEG(raster , text[] ) IS 'args: rast, options=NULL - 래스터 타일에서 선택한 밴드들을 단일 JPEG(Joint Photographic Exports Group) 이미지(바이트 배열)로 반환합니다. 밴드를 따로 설정하지 않거나, 밴드가 1개거나 또는 3개를 초과할 경우 첫 번째 밴드를 씁니다. 밴드가 3개뿐일 경우 밴드 3개를 모두 써서 RGB에 매핑시킵니다.';
			
COMMENT ON FUNCTION ST_AsJPEG(raster , integer , integer ) IS 'args: rast, nband, quality - 래스터 타일에서 선택한 밴드들을 단일 JPEG(Joint Photographic Exports Group) 이미지(바이트 배열)로 반환합니다. 밴드를 따로 설정하지 않거나, 밴드가 1개거나 또는 3개를 초과할 경우 첫 번째 밴드를 씁니다. 밴드가 3개뿐일 경우 밴드 3개를 모두 써서 RGB에 매핑시킵니다.';
			
COMMENT ON FUNCTION ST_AsJPEG(raster , integer , text[] ) IS 'args: rast, nband, options=NULL - 래스터 타일에서 선택한 밴드들을 단일 JPEG(Joint Photographic Exports Group) 이미지(바이트 배열)로 반환합니다. 밴드를 따로 설정하지 않거나, 밴드가 1개거나 또는 3개를 초과할 경우 첫 번째 밴드를 씁니다. 밴드가 3개뿐일 경우 밴드 3개를 모두 써서 RGB에 매핑시킵니다.';
			
COMMENT ON FUNCTION ST_AsJPEG(raster , integer[] , text[] ) IS 'args: rast, nbands, options=NULL - 래스터 타일에서 선택한 밴드들을 단일 JPEG(Joint Photographic Exports Group) 이미지(바이트 배열)로 반환합니다. 밴드를 따로 설정하지 않거나, 밴드가 1개거나 또는 3개를 초과할 경우 첫 번째 밴드를 씁니다. 밴드가 3개뿐일 경우 밴드 3개를 모두 써서 RGB에 매핑시킵니다.';
			
COMMENT ON FUNCTION ST_AsJPEG(raster , integer[] , integer ) IS 'args: rast, nbands, quality - 래스터 타일에서 선택한 밴드들을 단일 JPEG(Joint Photographic Exports Group) 이미지(바이트 배열)로 반환합니다. 밴드를 따로 설정하지 않거나, 밴드가 1개거나 또는 3개를 초과할 경우 첫 번째 밴드를 씁니다. 밴드가 3개뿐일 경우 밴드 3개를 모두 써서 RGB에 매핑시킵니다.';
			
COMMENT ON FUNCTION ST_AsPNG(raster , text[] ) IS 'args: rast, options=NULL - 래스터 타일에서 선택한 밴드들을 단일 PNG(Portable Network Graphics) 이미지(바이트 배열)로 반환합니다. 래스터의 밴드가 1개, 3개, 또는 4개이거나 따로 설정하지 않을 경우 모든 밴드를 씁니다. 밴드가 2개 또는 4개를 초과하며 따로 설정하지 않을 경우, 밴드 1만 씁니다. 밴드를 RGB 또는 RGBA 스페이스에 매핑합니다.';
			
COMMENT ON FUNCTION ST_AsPNG(raster , integer , integer ) IS 'args: rast, nband, compression - 래스터 타일에서 선택한 밴드들을 단일 PNG(Portable Network Graphics) 이미지(바이트 배열)로 반환합니다. 래스터의 밴드가 1개, 3개, 또는 4개이거나 따로 설정하지 않을 경우 모든 밴드를 씁니다. 밴드가 2개 또는 4개를 초과하며 따로 설정하지 않을 경우, 밴드 1만 씁니다. 밴드를 RGB 또는 RGBA 스페이스에 매핑합니다.';
			
COMMENT ON FUNCTION ST_AsPNG(raster , integer , text[] ) IS 'args: rast, nband, options=NULL - 래스터 타일에서 선택한 밴드들을 단일 PNG(Portable Network Graphics) 이미지(바이트 배열)로 반환합니다. 래스터의 밴드가 1개, 3개, 또는 4개이거나 따로 설정하지 않을 경우 모든 밴드를 씁니다. 밴드가 2개 또는 4개를 초과하며 따로 설정하지 않을 경우, 밴드 1만 씁니다. 밴드를 RGB 또는 RGBA 스페이스에 매핑합니다.';
			
COMMENT ON FUNCTION ST_AsPNG(raster , integer[] , integer ) IS 'args: rast, nbands, compression - 래스터 타일에서 선택한 밴드들을 단일 PNG(Portable Network Graphics) 이미지(바이트 배열)로 반환합니다. 래스터의 밴드가 1개, 3개, 또는 4개이거나 따로 설정하지 않을 경우 모든 밴드를 씁니다. 밴드가 2개 또는 4개를 초과하며 따로 설정하지 않을 경우, 밴드 1만 씁니다. 밴드를 RGB 또는 RGBA 스페이스에 매핑합니다.';
			
COMMENT ON FUNCTION ST_AsPNG(raster , integer[] , text[] ) IS 'args: rast, nbands, options=NULL - 래스터 타일에서 선택한 밴드들을 단일 PNG(Portable Network Graphics) 이미지(바이트 배열)로 반환합니다. 래스터의 밴드가 1개, 3개, 또는 4개이거나 따로 설정하지 않을 경우 모든 밴드를 씁니다. 밴드가 2개 또는 4개를 초과하며 따로 설정하지 않을 경우, 밴드 1만 씁니다. 밴드를 RGB 또는 RGBA 스페이스에 매핑합니다.';
			
COMMENT ON FUNCTION ST_AsTIFF(raster , text[] , integer ) IS 'args: rast, options='', srid=sameassource - 래스터 타일에서 선택한 밴드들을 단일 TIFF 이미지(바이트 배열)로 반환합니다. 밴드를 따로 설정하지 않을 경우, 모든 밴드를 쓰려 할 것입니다.';
			
COMMENT ON FUNCTION ST_AsTIFF(raster , text , integer ) IS 'args: rast, compression='', srid=sameassource - 래스터 타일에서 선택한 밴드들을 단일 TIFF 이미지(바이트 배열)로 반환합니다. 밴드를 따로 설정하지 않을 경우, 모든 밴드를 쓰려 할 것입니다.';
			
COMMENT ON FUNCTION ST_AsTIFF(raster , integer[] , text , integer ) IS 'args: rast, nbands, compression='', srid=sameassource - 래스터 타일에서 선택한 밴드들을 단일 TIFF 이미지(바이트 배열)로 반환합니다. 밴드를 따로 설정하지 않을 경우, 모든 밴드를 쓰려 할 것입니다.';
			
COMMENT ON FUNCTION ST_AsTIFF(raster , integer[] , text[] , integer ) IS 'args: rast, nbands, options, srid=sameassource - 래스터 타일에서 선택한 밴드들을 단일 TIFF 이미지(바이트 배열)로 반환합니다. 밴드를 따로 설정하지 않을 경우, 모든 밴드를 쓰려 할 것입니다.';
			
COMMENT ON FUNCTION ST_Contains(raster , integer , raster , integer ) IS 'args: rastA, nbandA, rastB, nbandB - 래스터 rastA 외부에 놓인 래스터 rastB의 포인트가 하나도 없고, 적어도 rastB 내부의 포인트 하나가 rastA의 내부에 있는 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Contains(raster , raster ) IS 'args: rastA, rastB - 래스터 rastA 외부에 놓인 래스터 rastB의 포인트가 하나도 없고, 적어도 rastB 내부의 포인트 하나가 rastA의 내부에 있는 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_ContainsProperly(raster , integer , raster , integer ) IS 'args: rastA, nbandA, rastB, nbandB - rastB가 rastA의 내부와 교차하지만 rastA의 경계선 또는 외부와 교차하지는 않을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_ContainsProperly(raster , raster ) IS 'args: rastA, rastB - rastB가 rastA의 내부와 교차하지만 rastA의 경계선 또는 외부와 교차하지는 않을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Covers(raster , integer , raster , integer ) IS 'args: rastA, nbandA, rastB, nbandB - 래스터 rastB의 어떤 포인트도 래스터 rastA 외부에 없을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Covers(raster , raster ) IS 'args: rastA, rastB - 래스터 rastB의 어떤 포인트도 래스터 rastA 외부에 없을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_CoveredBy(raster , integer , raster , integer ) IS 'args: rastA, nbandA, rastB, nbandB - 래스터 rastA의 어떤 포인트도 래스터 rastB 외부에 없을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_CoveredBy(raster , raster ) IS 'args: rastA, rastB - 래스터 rastA의 어떤 포인트도 래스터 rastB 외부에 없을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Disjoint(raster , integer , raster , integer ) IS 'args: rastA, nbandA, rastB, nbandB - 래스터 rastA와 래스터 rastB가 공간적으로 교차하지 않을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Disjoint(raster , raster ) IS 'args: rastA, rastB - 래스터 rastA와 래스터 rastB가 공간적으로 교차하지 않을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Intersects(raster , integer , raster , integer ) IS 'args: rastA, nbandA, rastB, nbandB - 래스터 rastA와 래스터 rastB가 공간적으로 교차할 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Intersects(raster , raster ) IS 'args: rastA, rastB - 래스터 rastA와 래스터 rastB가 공간적으로 교차할 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Intersects(raster , integer , geometry ) IS 'args: rast, nband, geommin - 래스터 rastA와 래스터 rastB가 공간적으로 교차할 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Intersects(raster , geometry , integer ) IS 'args: rast, geommin, nband=NULL - 래스터 rastA와 래스터 rastB가 공간적으로 교차할 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Intersects(geometry , raster , integer ) IS 'args: geommin, rast, nband=NULL - 래스터 rastA와 래스터 rastB가 공간적으로 교차할 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Overlaps(raster , integer , raster , integer ) IS 'args: rastA, nbandA, rastB, nbandB - 래스터 rastA와 래스터 rastB가 교차하지만 어느 한 쪽이 다른 한 쪽을 완전히 담고 있지는 않을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Overlaps(raster , raster ) IS 'args: rastA, rastB - 래스터 rastA와 래스터 rastB가 교차하지만 어느 한 쪽이 다른 한 쪽을 완전히 담고 있지는 않을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Touches(raster , integer , raster , integer ) IS 'args: rastA, nbandA, rastB, nbandB - 래스터 rastA와 래스터 rastB가 최소한 포인트 한 개를 공유하지만, 내부가 교차하지는 않을 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_Touches(raster , raster ) IS 'args: rastA, rastB - 래스터 rastA와 래스터 rastB가 최소한 포인트 한 개를 공유하지만, 내부가 교차하지는 않을 경우 TRUE 를 반환합니다.';
			
COMMENT ON FUNCTION ST_SameAlignment(raster , raster ) IS 'args: rastA, rastB - 래스터들이 동일한 기울기, 축척, 공간 참조 시스템, 그리고 오프셋을 가지고 있을 경우 (픽셀이 다른 픽셀을 침범하지 않고 동일한 그리드에 놓일 수 있을 경우) 참을 반환하고, 그렇지 않을 경우 문제점을 설명하는 안내문과 함께 거짓을 반환합니다.';
			
COMMENT ON FUNCTION ST_SameAlignment(double precision , double precision , double precision , double precision , double precision , double precision , double precision , double precision , double precision , double precision , double precision , double precision ) IS 'args: ulx1, uly1, scalex1, scaley1, skewx1, skewy1, ulx2, uly2, scalex2, scaley2, skewx2, skewy2 - 래스터들이 동일한 기울기, 축척, 공간 참조 시스템, 그리고 오프셋을 가지고 있을 경우 (픽셀이 다른 픽셀을 침범하지 않고 동일한 그리드에 놓일 수 있을 경우) 참을 반환하고, 그렇지 않을 경우 문제점을 설명하는 안내문과 함께 거짓을 반환합니다.';
			
COMMENT ON AGGREGATE ST_SameAlignment(raster) IS 'args: rastfield - 래스터들이 동일한 기울기, 축척, 공간 참조 시스템, 그리고 오프셋을 가지고 있을 경우 (픽셀이 다른 픽셀을 침범하지 않고 동일한 그리드에 놓일 수 있을 경우) 참을 반환하고, 그렇지 않을 경우 문제점을 설명하는 안내문과 함께 거짓을 반환합니다.';
			
COMMENT ON FUNCTION ST_NotSameAlignmentReason(raster , raster ) IS 'args: rastA, rastB - 래스터들이 정렬돼 있는지 아닌지, 그리고 정렬되지 않았다면 그 이유를 설명하는 텍스트를 반환합니다.';
			
COMMENT ON FUNCTION ST_Within(raster , integer , raster , integer ) IS 'args: rastA, nbandA, rastB, nbandB - 래스터 rastB 외부에 놓인 래스터 rastA의 포인트가 하나도 없고, 적어도 rastA 내부의 포인트 하나가 rastB의 내부에 있는 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_Within(raster , raster ) IS 'args: rastA, rastB - 래스터 rastB 외부에 놓인 래스터 rastA의 포인트가 하나도 없고, 적어도 rastA 내부의 포인트 하나가 rastB의 내부에 있는 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_DWithin(raster , integer , raster , integer , double precision ) IS 'args: rastA, nbandA, rastB, nbandB, distance_of_srid - 래스터 rastA와 래스터 rastB가 서로 설정된 거리 안에 있을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_DWithin(raster , raster , double precision ) IS 'args: rastA, rastB, distance_of_srid - 래스터 rastA와 래스터 rastB가 서로 설정된 거리 안에 있을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_DFullyWithin(raster , integer , raster , integer , double precision ) IS 'args: rastA, nbandA, rastB, nbandB, distance_of_srid - 래스터 rastA와 래스터 rastB가 완전히 서로 설정된 거리 안에 있을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION ST_DFullyWithin(raster , raster , double precision ) IS 'args: rastA, rastB, distance_of_srid - 래스터 rastA와 래스터 rastB가 완전히 서로 설정된 거리 안에 있을 경우 참을 반환합니다.';
			
    COMMENT ON TYPE geomval IS 'postgis raster type: (도형 객체를 담고 있는) geom과 (래스터 밴드의 이중 정밀도 픽셀값을 담고 있는) val, 두 개의 필드를 가진 공간 데이터형입니다.';
            
        
    COMMENT ON TYPE addbandarg IS 'postgis raster type: 새로운 밴드의 속성 및 초기값을 정의하는 ST_AddBand 함수의 입력물로 이용되는 복합 데이터형입니다.';
            
        
    COMMENT ON TYPE rastbandarg IS 'postgis raster type: 래스터 및 해당 래스터의 밴드 인덱스를 표현해야 할 경우 쓰이는 복합 데이터형입니다.';
            
        
    COMMENT ON TYPE raster IS 'postgis raster type: 래스터 공간 데이터형입니다.';
            
        
    COMMENT ON TYPE reclassarg IS 'postgis raster type: 재분류 작업의 습성을 정의하는 ST_Reclass 함수의 입력물로 쓰이는 복합 데이터형입니다.';
            
        
    COMMENT ON TYPE summarystats IS 'postgis raster type: ST_SummaryStats 및 ST_SummaryStatsAgg 함수가 반환하는 복합 데이터형입니다.';
            
        
    COMMENT ON TYPE unionarg IS 'postgis raster type: 공간 처리할 밴드들 및 UNION 연산의 습성을 정의하는 ST_Union 함수의 입력물로 쓰이는 복합 데이터형입니다.';
            
        