
COMMENT ON FUNCTION Drop_Indexes_Generate_Script(text ) IS 'args: param_schema=tiger_data - TIGER 스키마 및 사용자 지정 스키마에 있는 기본 키가 아닌 그리고 유일하지 않은 인덱스들을 모두 삭제하는 스크립트를 생성합니다. 스키마를 따로 지정하지 않을 경우 기본값인 tiger_data 스키마를 대상으로 합니다.';
			
COMMENT ON FUNCTION Drop_Nation_Tables_Generate_Script(text ) IS 'args: param_schema=tiger_data - 지정한 스키마에서 county_all, state_all 로 시작하는 테이블, 또는 뒤에 county, state 가 붙는 주(州) 코드를 모두 삭제하는 스크립트를 생성합니다.';
			
COMMENT ON FUNCTION Drop_State_Tables_Generate_Script(text , text ) IS 'args: param_state, param_schema=tiger_data - 지정한 스키마에서 주(州) 명칭의 약어가 접두사로 붙는 테이블을 모두 삭제하는 스크립트를 생성합니다. 스키마를 따로 지정하지 않을 경우 기본값인 tiger_data 스키마를 대상으로 합니다.';
			
COMMENT ON FUNCTION geocode(varchar , integer , geometry ) IS 'args: address, max_results=10, restrict_region=NULL, OUT addy, OUT geomout, OUT rating - 주소를 스트링(또는 다른 정규화된 주소)으로 입력받아 NAD83 경위도로 투영된 포인트 도형, 각 주소에 대한 정규화된 주소 및 순위를 포함하는 가능성 있는 위치들의 집합을 출력합니다. 순위가 낮을수록 주소와 위치가 일치할 가능성이 커집니다. 결과를 순위가 낮은 순서로 정렬합니다. 결과의 최대 개수(기본값 10) 및 restrict_region(기본값 NULL) 옵션 파라미터를 넘겨줄 수 있습니다.';
			
COMMENT ON FUNCTION geocode(norm_addy , integer , geometry ) IS 'args: in_addy, max_results=10, restrict_region=NULL, OUT addy, OUT geomout, OUT rating - 주소를 스트링(또는 다른 정규화된 주소)으로 입력받아 NAD83 경위도로 투영된 포인트 도형, 각 주소에 대한 정규화된 주소 및 순위를 포함하는 가능성 있는 위치들의 집합을 출력합니다. 순위가 낮을수록 주소와 위치가 일치할 가능성이 커집니다. 결과를 순위가 낮은 순서로 정렬합니다. 결과의 최대 개수(기본값 10) 및 restrict_region(기본값 NULL) 옵션 파라미터를 넘겨줄 수 있습니다.';
			
COMMENT ON FUNCTION geocode_intersection(text , text , text , text , text , integer ) IS 'args:  roadway1,  roadway2,  in_state,  in_city,  in_zip, max_results=10, OUT addy, OUT geomout, OUT rating - 교차하는 도로 2개와 주, 시, 집코드를 입력받아 NAD83 경위도로 투영된 포인트 위치인 geomout, 각 위치에 대한 normalized_address (addy) 및 순위도 포함하는, 교차점에서 처음 가로지르는 도로에 있는 가능성 있는 위치들의 집합을 출력합니다. 순위가 낮을수록 주소와 위치가 일치할 가능성이 커집니다. 결과를 순위가 낮은 순서로 정렬합니다. 결과의 최대 개수(기본값 10) 옵션 파라미터를 넘겨줄 수 있습니다. TIGER 데이터(edge, face, addr) 및 PostgreSQL 퍼지 문자열 매칭(soundex, levenshtein)을 이용합니다.';
			
COMMENT ON FUNCTION Get_Geocode_Setting(text ) IS 'args:  setting_name - tiger.geocode_settings 테이블에 저장된 특정 설정값을 반환합니다.';
			
COMMENT ON FUNCTION get_tract(geometry , text ) IS 'args:  loc_geom,  output_field=name - 도형이 위치해 있는 구역(tract) 테이블로부터 인구조사 구역 또는 현장(field)을 반환합니다. 기본적으로 구역의 축약된 명칭을 반환합니다.';
			
COMMENT ON FUNCTION Install_Missing_Indexes() IS '지오코딩 도구의 결합(join)에 이용되는 키(key) 열을 가진 테이블을 모두 찾아서 해당 열에 쓰인 인덱스 가운데 없어진 것들에 대한 조건으로 필터링해서 없어진 인덱스들을 추가합니다.';
			
COMMENT ON FUNCTION loader_generate_census_script(text[], text) IS 'args: param_states, os - 설정한 플랫폼에 대해 설정한 주(州)를 위한, TIGER 인구조사 주(州) 구역(tract), 블록 그룹(bg), 블록(tabblock) 데이터 테이블을 다운로드해서 tiger_data 스키마에 단계별로 로드하는 셸 스크립트를 생성합니다. 각 주(州)의 스크립트를 개별 레코드로 반환합니다.';
			
COMMENT ON FUNCTION loader_generate_script(text[], text) IS 'args: param_states, os - 설정한 플랫폼에 대해 설정한 주(州)를 위한, TIGER 데이터를 다운로드해서 tiger_data 스키마에 단계별로 로드하는 셸 스크립트를 생성합니다. 각 주(州)의 스크립트를 개별 레코드로 반환합니다. 최신 버전은 TIGER 2010 구조 변경 사항을 지원하며, 인구조사 구역, 블록 그룹, 블록 테이블도 로드합니다.';
			
COMMENT ON FUNCTION loader_generate_nation_script(text) IS 'args: os - 설정한 플랫폼에 대해, 군 및 주 색인 테이블을 로드하는 셸 스크립트를 생성합니다.';
			
COMMENT ON FUNCTION Missing_Indexes_Generate_Script() IS '지오코딩 도구의 결합(join)에 이용되는 키(key) 열을 가진 테이블 가운데 해당 열에서 없어진 인덱스를 모두 찾아서 해당 테이블에 대한 인덱스를 정의하는 SQL DDL을 출력합니다.';
			
COMMENT ON FUNCTION normalize_address(varchar ) IS 'args: in_address - 문자형 도로 주소를 입력받아, 도로 접미사, 접두사 및 유형을 표준화하고 도로, 도로명 등을 개별 필드로 분해한 norm_addy 합성 유형을 반환합니다. 이 함수는 tiger_geocoder와 함께 패키징된 색인 데이터만 이용해서 (TIGER 인구조사 데이터는 필요없이) 작동할 것입니다.';
			
COMMENT ON FUNCTION pagc_normalize_address(varchar ) IS 'args: in_address - 문자형 도로 주소를 입력받아, 도로 접미사, 접두사 및 유형을 표준화하고 도로, 도로명 등을 개별 필드로 분해한 norm_addy 합성 유형을 반환합니다. 이 함수는 tiger_geocoder와 함께 패키징된 색인 데이터만 이용해서 (TIGER 인구조사 데이터는 필요없이) 작동할 것입니다. address_standardizer 확장 프로그램이 필요합니다.';
			
COMMENT ON FUNCTION pprint_addy(norm_addy ) IS 'args: in_addy - norm_addy 복합 유형 객체를 입력받아, 해당 객체의 보기 좋은 인쇄용 표현을 반환합니다. 일반적으로 normalize_address 함수와 결합해서 쓰입니다.';
			
COMMENT ON FUNCTION Reverse_Geocode(geometry , boolean ) IS 'args: pt, include_strnum_range=false, OUT intpt, OUT addy, OUT street - 알려진 공간 참조 시스템으로 투영된 도형 포인트를 입력받아 이론적으로 가능한 주소들의 배열과 교차로의 배열을 담고 있는 레코드를 반환합니다. include_strnum_range = true일 경우, 교차로에 있는 도로 범위를 포함합니다.';
			
COMMENT ON FUNCTION Topology_Load_Tiger(varchar , varchar , varchar ) IS 'args: topo_name, region_type, region_id - PostGIS 지형에 TIGER 데이터의 정의된 지역을 로드하면서 TIGER 데이터를 지형의 공간 참조 시스템으로 변환하고 지형의 정확도 허용 오차에 스냅시킵니다.';
			
COMMENT ON FUNCTION Set_Geocode_Setting(text , text ) IS 'args:  setting_name,  setting_value - 지오코딩 도구 함수들의 습성에 영향을 미치는 설정값을 설정합니다.';
			