
COMMENT ON TYPE topology.getfaceedges_returntype IS 'postgis type: 배열(sequence) 번호와 경계선(edge) 번호로 이루어진 합성 유형입니다. ST_GetFaceEdges 함수가 이 유형을 반환합니다.';

COMMENT ON TYPE topology.TopoGeometry IS 'postgis type: 위상기하학적으로 정의된 도형을 표현하는 합성 유형입니다.';

COMMENT ON TYPE topology.validatetopology_returntype IS 'postgis type: 오류 메시지 및 오류의 위치를 나타내는 id1과 id2로 이루어진 합성 유형입니다. ValidateTopology 함수가 이 유형을 반환합니다.';

COMMENT ON DOMAIN topology.TopoElement IS 'postgis domain: 일반적으로 TopoGeometry 구성 요소를 식별하는 데 쓰이는 정수형 2개의 배열입니다.';

COMMENT ON DOMAIN topology.TopoElementArray IS 'postgis domain: TopoElement 객체들의 배열입니다.';

COMMENT ON FUNCTION topology.AddTopoGeometryColumn(varchar , varchar , varchar , varchar , varchar ) IS 'args: topology_name, schema_name, table_name, column_name, feature_type - 기존 테이블에 TopoGeometry 열을 추가하고, topology.layer에 이 새 열을 레이어로 추가하며, 새 layer_id를 반환합니다.';
			
COMMENT ON FUNCTION topology.AddTopoGeometryColumn(varchar , varchar , varchar , varchar , varchar , integer ) IS 'args: topology_name, schema_name, table_name, column_name, feature_type, child_layer - 기존 테이블에 TopoGeometry 열을 추가하고, topology.layer에 이 새 열을 레이어로 추가하며, 새 layer_id를 반환합니다.';
			
COMMENT ON FUNCTION topology.DropTopology(varchar ) IS 'args: topology_schema_name - 이용에 주의하십시오: 지형 스키마를 삭제하고 topology.topology 테이블에서 해당 참조를, 그리고 geometry_columns 테이블에서 해당 스키마에 있는 테이블의 참조를 삭제합니다.';
			
COMMENT ON FUNCTION topology.DropTopoGeometryColumn(varchar , varchar , varchar ) IS 'args: schema_name, table_name, column_name - schema_name 스키마 안의 table_name 명칭의 테이블에서 Topogeometry 열을 삭제하고 topology.layer 테이블에서 해당 열을 등록 해제합니다.';
			
COMMENT ON FUNCTION topology.GetTopologyName(integer) IS 'args: topology_id - Adds missing entries to topology.layer table by reading metadata from topo tables.';
			
COMMENT ON FUNCTION topology.TopologySummary(varchar ) IS 'args: topology_schema_name - 지형 명칭을 받아 지형 내부에 있는 객체들의 유형 전체의 요약문을 반환합니다.';
			
COMMENT ON FUNCTION topology.ValidateTopology(varchar ) IS 'args: topology_schema_name - 지형이 가지고 있는 문제점들을 상세하게 열거하는 validatetopology_returntype 객체 집합을 반환합니다.';
			
COMMENT ON FUNCTION topology.CreateTopology(varchar ) IS 'args: topology_schema_name - 새 지형 스키마를 생성하고 topology.topology 테이블에 이 새 스키마를 등록합니다.';
			
COMMENT ON FUNCTION topology.CreateTopology(varchar , integer ) IS 'args: topology_schema_name, srid - 새 지형 스키마를 생성하고 topology.topology 테이블에 이 새 스키마를 등록합니다.';
			
COMMENT ON FUNCTION topology.CreateTopology(varchar , integer , double precision ) IS 'args: topology_schema_name, srid, tolerance - 새 지형 스키마를 생성하고 topology.topology 테이블에 이 새 스키마를 등록합니다.';
			
COMMENT ON FUNCTION topology.CreateTopology(varchar , integer , double precision , boolean ) IS 'args: topology_schema_name, srid, tolerance, hasz - 새 지형 스키마를 생성하고 topology.topology 테이블에 이 새 스키마를 등록합니다.';
			
COMMENT ON FUNCTION topology.CopyTopology(varchar , varchar ) IS 'args: existing_topology_name, new_name - 지형 구조(노드, 경계선, 표면, 레이어 및 TopoGeometry)를 복사합니다.';
			
COMMENT ON FUNCTION topology.ST_InitTopoGeo(varchar ) IS 'args: topology_schema_name - 새 지형 스키마를 생성하고 topology.topology 테이블에 이 새 스키마를 등록한 다음 처리 과정의 상세한 요약문을 반환합니다.';
			
COMMENT ON FUNCTION topology.ST_CreateTopoGeo(varchar , geometry ) IS 'args: atopology, acollection - 텅 빈 입력 지형에 도형들의 집합을 추가한 다음 작업 성공 여부를 상세하게 설명하는 메시지를 반환합니다.';
			
COMMENT ON FUNCTION topology.TopoGeo_AddPoint(varchar , geometry , float8 ) IS 'args: toponame, apoint, tolerance - 허용 오차를 이용해서 그리고 기존 경계선을 분할(split)하기도 해서 기존 지형에 포인트를 추가합니다.';
			
COMMENT ON FUNCTION topology.TopoGeo_AddLineString(varchar , geometry , float8 ) IS 'args: toponame, aline, tolerance - 허용 오차를 이용해서 그리고 기존 경계선/표면을 분할(split)하기도 해서 기존 지형에 라인스트링을 추가합니다. 경계선 식별자를 반환합니다.';
			
COMMENT ON FUNCTION topology.TopoGeo_AddPolygon(varchar , geometry , float8 ) IS 'args: atopology, apoly, atolerance - 허용 오차를 이용해서 그리고 기존 경계선/표면을 분할(split)하기도 해서 기존 지형에 폴리곤을 추가합니다.';
			
COMMENT ON FUNCTION topology.ST_AddIsoNode(varchar , integer , geometry ) IS 'args: atopology, aface, apoint - 지형 안의 표면에 고립된(isolated) 노드를 추가하고 새 노드의 ID를 반환합니다. 표면이 NULL일 경우, 그래도 노드를 생성합니다.';
			
COMMENT ON FUNCTION topology.ST_AddIsoEdge(varchar , integer , integer , geometry ) IS 'args: atopology, anode, anothernode, alinestring - 지형에 두 개의 고립된 기존 노드 anode 와 anothernode 를 연결하는 alinestring 도형이 정의하는 고립된 경계선을 추가하고 새 경계선의 ID를 반환합니다.';
			
COMMENT ON FUNCTION topology.ST_AddEdgeNewFaces(varchar , integer , integer , geometry ) IS 'args: atopology, anode, anothernode, acurve - 새 경계선을 추가하고, 그 과정에서 경계선이 표면을 분할할 경우, 원본 표면을 삭제하고 새 표면 2개로 교체합니다.';
			
COMMENT ON FUNCTION topology.ST_AddEdgeModFace(varchar , integer , integer , geometry ) IS 'args: atopology, anode, anothernode, acurve - 새 경계선을 추가하고, 그 과정에서 경계선이 표면을 분할할 경우, 원본 표면을 수정하고 새 표면을 추가합니다.';
			
COMMENT ON FUNCTION topology.ST_RemEdgeNewFace(varchar , integer ) IS 'args: atopology, anedge - 경계선을 제거하고, 제거한 경계선이 두 표면을 분할하고 있을 경우, 원본 표면들을 삭제하고 새 표면 하나로 대체합니다.';
			
COMMENT ON FUNCTION topology.ST_RemEdgeModFace(varchar , integer ) IS 'args: atopology, anedge - 경계선을 제거하고, 제거한 경계선이 두 표면을 분할하고 있을 경우, 표면 하나를 삭제하고 다른 표면을 두 표면의 공간을 차지하도록 수정합니다.';
			
COMMENT ON FUNCTION topology.ST_ChangeEdgeGeom(varchar , integer , geometry ) IS 'args: atopology, anedge, acurve - 지형 구조를 건드리는 일 없이 경계선의 형상을 변경합니다.';
			
COMMENT ON FUNCTION topology.ST_ModEdgeSplit(varchar , integer , geometry ) IS 'args: atopology, anedge, apoint - 기존 경계선을 따라 새 노드를 추가한 다음, 원본 경계선을 수정하고 새 경계선을 추가해서 경계선을 분할합니다.';
			
COMMENT ON FUNCTION topology.ST_ModEdgeHeal(varchar , integer , integer ) IS 'args: atopology, anedge, anotheredge - 두 경계선을 연결하는 노드를 삭제한 다음, 첫 번째 경계선을 수정하고 두 번째 경계선을 삭제해서 두 경계선을 붙입니다. 삭제한 노드의 ID를 반환합니다.';
			
COMMENT ON FUNCTION topology.ST_NewEdgeHeal(varchar , integer , integer ) IS 'args: atopology, anedge, anotheredge - 두 경계선을 연결하는 노드를 삭제한 다음, 두 경계선을 모두 삭제하고 첫 번째 경계선과 동일한 방향인 경계선으로 교체합니다.';
			
COMMENT ON FUNCTION topology.ST_MoveIsoNode(varchar , integer , geometry ) IS 'args: atopology, anedge, apoint - 지형 안에 있는 고립된 노드를 어떤 위치에서 다른 위치로 이동합니다. 새 apoint 도형의 위치에 노드가 존재할 경우 오류가 발생합니다. 이동을 설명하는 메시지를 반환합니다.';
			
COMMENT ON FUNCTION topology.ST_NewEdgesSplit(varchar , integer , geometry ) IS 'args: atopology, anedge, apoint - 기존 경계선을 따라 새 노드를 추가한 다음, 원본 경계선을 삭제하고 새 경계선 2개로 교체해서 경계선을 분할합니다. 새 경계선들을 결합하는 새로 생성된 노드의 ID를 반환합니다.';
			
COMMENT ON FUNCTION topology.ST_RemoveIsoNode(varchar , integer ) IS 'args: atopology, anode - 고립된 노드를 제거하고 작업 내용을 설명하는 메시지를 반환합니다. 노드가 고립되지 않은 (경계선의 시작점이나 종단점인) 경우, 예외가 발생합니다.';
			
COMMENT ON FUNCTION topology.ST_RemoveIsoNode(varchar , integer ) IS 'args: atopology, anode - 고립된 노드를 제거하고 작업 내용을 설명하는 메시지를 반환합니다. 노드가 고립되지 않은 (경계선의 시작점이나 종단점인) 경우, 예외가 발생합니다.';
			
COMMENT ON FUNCTION topology.GetEdgeByPoint(varchar , geometry , float8 ) IS 'args: atopology, apoint, tol - 입력 포인트와 교차하는 경계선의 경계선 ID(edgeid)를 탐색합니다.';
			
COMMENT ON FUNCTION topology.GetFaceByPoint(varchar , geometry , float8 ) IS 'args: atopology, apoint, tol - 입력 포인트와 교차하는 표면의 표면 ID(faceid)를 탐색합니다.';
			
COMMENT ON FUNCTION topology.GetNodeByPoint(varchar , geometry , float8 ) IS 'args: atopology, point, tol - 입력 포인트 위치에 있는 노드의 ID를 탐색합니다.';
			
COMMENT ON FUNCTION topology.GetTopologyID(varchar) IS 'args: toponame - 지형의 명칭을 입력받아 topology.topology 테이블에 있는 지형의 ID를 반환합니다.';
			
COMMENT ON FUNCTION topology.GetTopologyID(varchar) IS 'args: toponame - 지형의 명칭을 입력받아 topology.topology 테이블에 있는 지형의 SRID를 반환합니다.';
			
COMMENT ON FUNCTION topology.GetTopologyName(integer) IS 'args: topology_id - 지형의 ID를 입력받아 지형(스키마)의 명칭을 반환합니다.';
			
COMMENT ON FUNCTION topology.ST_GetFaceEdges(varchar , integer ) IS 'args: atopology, aface - aface 의 경계를 이루는 정렬된 경계선들의 집합을 반환합니다.';
			
COMMENT ON FUNCTION topology.ST_GetFaceGeometry(varchar , integer ) IS 'args: atopology, aface - 입력 지형으로부터 설정된 표면 ID를 가진 폴리곤을 반환합니다.';
			
COMMENT ON FUNCTION topology.GetRingEdges(varchar , integer , integer ) IS 'args: atopology, aring, max_edges=null - 입력 경계선 쪽을 따라 탐색한 부호가 있는 경계선 식별자들의 정렬된 집합을 반환합니다.';
			
COMMENT ON FUNCTION topology.GetNodeEdges(varchar , integer ) IS 'args: atopology, anode - 입력 노드를 따르는 경계선들의 정렬된 집합을 반환합니다.';
			
COMMENT ON FUNCTION topology.Polygonize(varchar ) IS 'args: toponame - 지형 경계선이 정의하는 모든 표면을 찾아 등록합니다.';
			
COMMENT ON FUNCTION topology.AddNode(varchar , geometry , boolean , boolean ) IS 'args: toponame, apoint, allowEdgeSplitting=false, computeContainingFace=false - 설정한 지형 스키마의 노드 테이블에 포인트 노드를 추가하고 새 노드의 노드 ID(nodeid)를 반환합니다. 새 포인트 위치에 이미 노드가 존재할 경우, 기존 노드 ID를 반환합니다.';
			
COMMENT ON FUNCTION topology.AddEdge(varchar , geometry ) IS 'args: toponame, aline - 설정한 지형 스키마의 경계선 테이블에 라인스트링 경계선을 추가하고, 설정한 라인스트링 도형을 이용해서 포인트 노드 테이블에 경계선의 시작점 및 종단점을 추가한 다음 새 (또는 기존) 경계선의 경계선 ID(edgeid)를 반환합니다.';
			
COMMENT ON FUNCTION topology.AddFace(varchar , geometry , boolean ) IS 'args: toponame, apolygon, force_new=false - 지형에 표면 원시형(face primitive)을 등록하고 그 식별자를 반환합니다.';
			
COMMENT ON FUNCTION topology.ST_Simplify(TopoGeometry, float) IS 'args: geomA, tolerance - 더글러스-패커(Douglas-Peucker) 알고리즘을 통해 입력 TopoGeometry 의 "단순화된" 도형 버전을 반환합니다.';
			
COMMENT ON FUNCTION topology.CreateTopoGeom(varchar , integer , integer, topoelementarray) IS 'args: toponame, tg_type, layer_id, tg_objs - 지형 요소 배열로부터 새 지형 도형 객체를 생성합니다. tg_type은 1: [멀티]포인트, 2: [멀티]라인, 3: [멀티]폴리곤, 4: 도형 집합입니다.';
			
COMMENT ON FUNCTION topology.CreateTopoGeom(varchar , integer , integer) IS 'args: toponame, tg_type, layer_id - 지형 요소 배열로부터 새 지형 도형 객체를 생성합니다. tg_type은 1: [멀티]포인트, 2: [멀티]라인, 3: [멀티]폴리곤, 4: 도형 집합입니다.';
			
COMMENT ON FUNCTION topology.toTopoGeom(geometry , varchar , integer, float8) IS 'args: geom, toponame, layer_id, tolerance - 단순 도형을 지형 도형으로 변환합니다.';
			
COMMENT ON FUNCTION topology.toTopoGeom(geometry , topogeometry , float8) IS 'args: geom, topogeom, tolerance - 단순 도형을 지형 도형으로 변환합니다.';
			
COMMENT ON AGGREGATE topology.TopoElementArray_Agg(topoelement) IS 'args: tefield - element_id, 유형 배열(topoelement)들의 집합에 대해 topoelementarray 를 반환합니다.';
			
COMMENT ON FUNCTION topology.clearTopoGeom(topogeometry ) IS 'args: topogeom - 지형 도형의 내용을 지웁니다.';
			
COMMENT ON FUNCTION topology.TopoGeom_addElement(topogeometry , topoelement ) IS 'args: tg, el - TopoGeometry의 정의에 요소를 추가합니다.';
			
COMMENT ON FUNCTION topology.TopoGeom_remElement(topogeometry , topoelement ) IS 'args: tg, el - TopoGeometry의 정의에서 요소를 제거합니다.';
			
COMMENT ON FUNCTION topology.GetTopoGeomElementArray(varchar , integer , integer) IS 'args: toponame, layer_id, tg_id - 지형의 요소 및 입력 TopoGeometry의 유형(원시형 요소)를 담고 있는 topoelementarray (topoelement의 배열)을 반환합니다.';
			
COMMENT ON FUNCTION topology.GetTopoGeomElementArray(topogeometry ) IS 'args: tg - 지형의 요소 및 입력 TopoGeometry의 유형(원시형 요소)를 담고 있는 topoelementarray (topoelement의 배열)을 반환합니다.';
			
COMMENT ON FUNCTION topology.GetTopoGeomElements(varchar , integer , integer) IS 'args: toponame, layer_id, tg_id - 입력 TopoGeometry의 지형 element_id, element_type(원시형 요소)을 담고 있는 topoelement 객체 집합을 반환합니다.';
			
COMMENT ON FUNCTION topology.GetTopoGeomElements(topogeometry ) IS 'args: tg - 입력 TopoGeometry의 지형 element_id, element_type(원시형 요소)을 담고 있는 topoelement 객체 집합을 반환합니다.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry ) IS 'args: tg - TopoGeometry의 GML 표현식을 반환합니다.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , text ) IS 'args: tg, nsprefix_in - TopoGeometry의 GML 표현식을 반환합니다.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , regclass ) IS 'args: tg, visitedTable - TopoGeometry의 GML 표현식을 반환합니다.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , regclass , text ) IS 'args: tg, visitedTable, nsprefix - TopoGeometry의 GML 표현식을 반환합니다.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , text , integer , integer ) IS 'args: tg, nsprefix_in, precision, options - TopoGeometry의 GML 표현식을 반환합니다.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , text , integer , integer , regclass ) IS 'args: tg, nsprefix_in, precision, options, visitedTable - TopoGeometry의 GML 표현식을 반환합니다.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , text , integer , integer , regclass , text ) IS 'args: tg, nsprefix_in, precision, options, visitedTable, idprefix - TopoGeometry의 GML 표현식을 반환합니다.';
			
COMMENT ON FUNCTION topology.AsGML(topogeometry , text , integer , integer , regclass , text , int ) IS 'args: tg, nsprefix_in, precision, options, visitedTable, idprefix, gmlversion - TopoGeometry의 GML 표현식을 반환합니다.';
			
COMMENT ON FUNCTION topology.AsTopoJSON(topogeometry , regclass ) IS 'args: tg, edgeMapTable - TopoGeometry의 TopoJSON 표현식을 반환합니다.';
			
COMMENT ON FUNCTION topology.Equals(topogeometry , topogeometry ) IS 'args: tg1, tg2 - 두 TopoGeometry가 동일한 지형 원시형으로 이루어졌을 경우 참을 반환합니다.';
			
COMMENT ON FUNCTION topology.Intersects(topogeometry , topogeometry ) IS 'args: tg1, tg2 - 두 TopoGeometry에서 나온 원시형의 쌍 가운데 하나라도 교차할 경우 참을 반환합니다.';
			